org.eclipse.eef

## Interface EefPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EefPackageImpl

    public interface EefPackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `EefFactory`

### Nested Class Summary

Nested Classes
`static interface` `EefPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static int` `EEF_BUTTON_CONDITIONAL_STYLE` The meta object id for the '`EEF Button Conditional Style`' class.
`static int` `EEF_BUTTON_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_BUTTON_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_BUTTON_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Button Conditional Style' class.
`static int` `EEF_BUTTON_DESCRIPTION` The meta object id for the '`EEF Button Description` ' class.
`static int` `EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION` The feature id for the 'Button Label Expression' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_BUTTON_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__IMAGE_EXPRESSION` The feature id for the 'Image Expression' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION` The feature id for the 'Push Expression' attribute.
`static int` `EEF_BUTTON_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_BUTTON_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Button Description' class.
`static int` `EEF_BUTTON_STYLE` The meta object id for the '`EEF Button Style`' class.
`static int` `EEF_BUTTON_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_BUTTON_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_BUTTON_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_BUTTON_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_BUTTON_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_BUTTON_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Button Style' class.
`static int` `EEF_CHECKBOX_CONDITIONAL_STYLE` The meta object id for the '`EEF Checkbox Conditional Style`' class.
`static int` `EEF_CHECKBOX_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_CHECKBOX_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Checkbox Conditional Style' class.
`static int` `EEF_CHECKBOX_DESCRIPTION` The meta object id for the '`EEF Checkbox Description`' class.
`static int` `EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION` The feature id for the 'Edit Expression' attribute.
`static int` `EEF_CHECKBOX_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_CHECKBOX_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_CHECKBOX_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_CHECKBOX_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_CHECKBOX_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_CHECKBOX_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_CHECKBOX_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Checkbox Description' class.
`static int` `EEF_CHECKBOX_STYLE` The meta object id for the '`EEF Checkbox Style`' class.
`static int` `EEF_CHECKBOX_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_CHECKBOX_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_CHECKBOX_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_CHECKBOX_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_CHECKBOX_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_CHECKBOX_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Checkbox Style' class.
`static int` `EEF_CONDITIONAL_STYLE` The meta object id for the '`EEF Conditional Style`' class.
`static int` `EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Conditional Style' class.
`static int` `EEF_CONTAINER_DESCRIPTION` The meta object id for the '`EEF Container Description`' class.
`static int` `EEF_CONTAINER_DESCRIPTION__CONTROLS` The feature id for the 'Controls' containment reference list.
`static int` `EEF_CONTAINER_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_CONTAINER_DESCRIPTION__LAYOUT` The feature id for the 'Layout' containment reference.
`static int` `EEF_CONTAINER_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Container Description' class.
`static int` `EEF_CONTROL_DESCRIPTION` The meta object id for the '`EEF Control Description`' class.
`static int` `EEF_CONTROL_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_CONTROL_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Control Description' class.
`static int` `EEF_CUSTOM_EXPRESSION` The meta object id for the '`EEF Custom Expression`' class.
`static int` `EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION` The feature id for the 'Custom Expression' attribute.
`static int` `EEF_CUSTOM_EXPRESSION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_CUSTOM_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'EEF Custom Expression' class.
`static int` `EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE` The meta object id for the '`EEF Custom Widget Conditional Style`' class.
`static int` `EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Custom Widget Conditional Style' class.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION` The meta object id for the '`EEF Custom Widget Description`' class.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS` The feature id for the 'Custom Expressions' containment reference list.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_CUSTOM_WIDGET_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Custom Widget Description' class.
`static int` `EEF_CUSTOM_WIDGET_STYLE` The meta object id for the '`EEF Custom Widget Style` ' class.
`static int` `EEF_CUSTOM_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_CUSTOM_WIDGET_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Custom Widget Style' class.
`static int` `EEF_DYNAMIC_MAPPING_FOR` The meta object id for the '`EEF Dynamic Mapping For` ' class.
`static int` `EEF_DYNAMIC_MAPPING_FOR__FORCE_REFRESH` The feature id for the 'Force Refresh' attribute.
`static int` `EEF_DYNAMIC_MAPPING_FOR__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_DYNAMIC_MAPPING_FOR__IFS` The feature id for the 'Ifs' containment reference list.
`static int` `EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION` The feature id for the 'Iterable Expression' attribute.
`static int` `EEF_DYNAMIC_MAPPING_FOR__ITERATOR` The feature id for the 'Iterator' attribute.
`static int` `EEF_DYNAMIC_MAPPING_FOR_FEATURE_COUNT` The number of structural features of the 'EEF Dynamic Mapping For' class.
`static int` `EEF_DYNAMIC_MAPPING_IF` The meta object id for the '`EEF Dynamic Mapping If`' class.
`static int` `EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION` The feature id for the 'Predicate Expression' attribute.
`static int` `EEF_DYNAMIC_MAPPING_IF__WIDGET` The feature id for the 'Widget' containment reference.
`static int` `EEF_DYNAMIC_MAPPING_IF_FEATURE_COUNT` The number of structural features of the 'EEF Dynamic Mapping If' class.
`static int` `EEF_FILL_LAYOUT_DESCRIPTION` The meta object id for the '`EEF Fill Layout Description`' class.
`static int` `EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION` The feature id for the 'Orientation' attribute.
`static int` `EEF_FILL_LAYOUT_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Fill Layout Description' class.
`static int` `EEF_FILL_LAYOUT_ORIENTATION` The meta object id for the '`EEF FILL LAYOUT ORIENTATION`' enum.
`static int` `EEF_GRID_LAYOUT_DESCRIPTION` The meta object id for the '`EEF Grid Layout Description`' class.
`static int` `EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH` The feature id for the 'Make Columns With Equal Width' attribute.
`static int` `EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS` The feature id for the 'Number Of Columns' attribute.
`static int` `EEF_GRID_LAYOUT_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Grid Layout Description' class.
`static int` `EEF_GROUP_CONDITIONAL_STYLE` The meta object id for the '`EEF Group Conditional Style`' class.
`static int` `EEF_GROUP_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_GROUP_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_GROUP_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Group Conditional Style' class.
`static int` `EEF_GROUP_DESCRIPTION` The meta object id for the '`EEF Group Description`' class.
`static int` `EEF_GROUP_DESCRIPTION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` `EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_GROUP_DESCRIPTION__CONTROLS` The feature id for the 'Controls' containment reference list.
`static int` `EEF_GROUP_DESCRIPTION__DOMAIN_CLASS` The feature id for the 'Domain Class' attribute.
`static int` `EEF_GROUP_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' containment reference list.
`static int` `EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION` The feature id for the 'Semantic Candidate Expression' attribute.
`static int` `EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES` The feature id for the 'Semantic Validation Rules' containment reference list.
`static int` `EEF_GROUP_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_GROUP_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Group Description' class.
`static int` `EEF_GROUP_STYLE` The meta object id for the '`EEF Group Style`' class.
`static int` `EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Background Color Expression' attribute.
`static int` `EEF_GROUP_STYLE__BAR_STYLE` The feature id for the 'Bar Style' attribute.
`static int` `EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT` The feature id for the 'Expanded By Default' attribute.
`static int` `EEF_GROUP_STYLE__FONT_NAME_EXPRESSION` The feature id for the 'Font Name Expression' attribute.
`static int` `EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION` The feature id for the 'Font Size Expression' attribute.
`static int` `EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Foreground Color Expression' attribute.
`static int` `EEF_GROUP_STYLE__TOGGLE_STYLE` The feature id for the 'Toggle Style' attribute.
`static int` `EEF_GROUP_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Group Style' class.
`static int` `EEF_HYPERLINK_CONDITIONAL_STYLE` The meta object id for the '`EEF Hyperlink Conditional Style`' class.
`static int` `EEF_HYPERLINK_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_HYPERLINK_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Hyperlink Conditional Style' class.
`static int` `EEF_HYPERLINK_DESCRIPTION` The meta object id for the '`EEF Hyperlink Description`' class.
`static int` `EEF_HYPERLINK_DESCRIPTION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` `EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION` The feature id for the 'Display Expression' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION` The feature id for the 'On Click Expression' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_HYPERLINK_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_HYPERLINK_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Hyperlink Description' class.
`static int` `EEF_HYPERLINK_STYLE` The meta object id for the '`EEF Hyperlink Style`' class.
`static int` `EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Background Color Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION` The feature id for the 'Font Name Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION` The feature id for the 'Font Size Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION` The feature id for the 'Font Style Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_HYPERLINK_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Hyperlink Style' class.
`static int` `EEF_LABEL_CONDITIONAL_STYLE` The meta object id for the '`EEF Label Conditional Style`' class.
`static int` `EEF_LABEL_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_LABEL_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_LABEL_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Label Conditional Style' class.
`static int` `EEF_LABEL_DESCRIPTION` The meta object id for the '`EEF Label Description`' class.
`static int` `EEF_LABEL_DESCRIPTION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` `EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION` The feature id for the 'Display Expression' attribute.
`static int` `EEF_LABEL_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_LABEL_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_LABEL_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_LABEL_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_LABEL_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_LABEL_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_LABEL_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Label Description' class.
`static int` `EEF_LABEL_STYLE` The meta object id for the '`EEF Label Style`' class.
`static int` `EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Background Color Expression' attribute.
`static int` `EEF_LABEL_STYLE__FONT_NAME_EXPRESSION` The feature id for the 'Font Name Expression' attribute.
`static int` `EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION` The feature id for the 'Font Size Expression' attribute.
`static int` `EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION` The feature id for the 'Font Style Expression' attribute.
`static int` `EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Foreground Color Expression' attribute.
`static int` `EEF_LABEL_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_LABEL_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_LABEL_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_LABEL_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_LABEL_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_LABEL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Label Style' class.
`static int` `EEF_LAYOUT_DESCRIPTION` The meta object id for the '`EEF Layout Description` ' class.
`static int` `EEF_LAYOUT_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Layout Description' class.
`static int` `EEF_LIST_CONDITIONAL_STYLE` The meta object id for the '`EEF List Conditional Style`' class.
`static int` `EEF_LIST_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_LIST_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_LIST_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF List Conditional Style' class.
`static int` `EEF_LIST_DESCRIPTION` The meta object id for the '`EEF List Description`' class.
`static int` `EEF_LIST_DESCRIPTION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` `EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION` The feature id for the 'Display Expression' attribute.
`static int` `EEF_LIST_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_LIST_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_LIST_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_LIST_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION` The feature id for the 'On Click Expression' attribute.
`static int` `EEF_LIST_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_LIST_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_LIST_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_LIST_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF List Description' class.
`static int` `EEF_LIST_STYLE` The meta object id for the '`EEF List Style`' class.
`static int` `EEF_LIST_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_LIST_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_LIST_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_LIST_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_LIST_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_LIST_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF List Style' class.
`static int` `EEF_PAGE_DESCRIPTION` The meta object id for the '`EEF Page Description`' class.
`static int` `EEF_PAGE_DESCRIPTION__ACTIONS` The feature id for the 'Actions' containment reference list.
`static int` `EEF_PAGE_DESCRIPTION__DOMAIN_CLASS` The feature id for the 'Domain Class' attribute.
`static int` `EEF_PAGE_DESCRIPTION__GROUPS` The feature id for the 'Groups' reference list.
`static int` `EEF_PAGE_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_PAGE_DESCRIPTION__INDENTED` The feature id for the 'Indented' attribute.
`static int` `EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION` The feature id for the 'Semantic Candidate Expression' attribute.
`static int` `EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES` The feature id for the 'Semantic Validation Rules' containment reference list.
`static int` `EEF_PAGE_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Page Description' class.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION` The meta object id for the '`EEF Property Validation Rule Description`' class.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__AUDITS` The feature id for the 'Audits' containment reference list.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__FIXES` The feature id for the 'Fixes' containment reference list.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION` The feature id for the 'Message Expression' attribute.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__SEVERITY` The feature id for the 'Severity' attribute.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS` The feature id for the 'Targets' reference list.
`static int` `EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Property Validation Rule Description' class.
`static int` `EEF_RADIO_CONDITIONAL_STYLE` The meta object id for the '`EEF Radio Conditional Style`' class.
`static int` `EEF_RADIO_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_RADIO_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_RADIO_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Radio Conditional Style' class.
`static int` `EEF_RADIO_DESCRIPTION` The meta object id for the '`EEF Radio Description`' class.
`static int` `EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION` The feature id for the 'Candidate Display Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION` The feature id for the 'Candidates Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION` The feature id for the 'Edit Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_RADIO_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS` The feature id for the 'Number Of Columns' attribute.
`static int` `EEF_RADIO_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_RADIO_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_RADIO_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Radio Description' class.
`static int` `EEF_RADIO_STYLE` The meta object id for the '`EEF Radio Style`' class.
`static int` `EEF_RADIO_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_RADIO_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_RADIO_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_RADIO_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_RADIO_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_RADIO_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Radio Style' class.
`static int` `EEF_RULE_AUDIT_DESCRIPTION` The meta object id for the '`EEF Rule Audit Description`' class.
`static int` `EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION` The feature id for the 'Audit Expression' attribute.
`static int` `EEF_RULE_AUDIT_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Rule Audit Description' class.
`static int` `EEF_SELECT_CONDITIONAL_STYLE` The meta object id for the '`EEF Select Conditional Style`' class.
`static int` `EEF_SELECT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_SELECT_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_SELECT_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Select Conditional Style' class.
`static int` `EEF_SELECT_DESCRIPTION` The meta object id for the '`EEF Select Description` ' class.
`static int` `EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION` The feature id for the 'Candidate Display Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION` The feature id for the 'Candidates Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION` The feature id for the 'Edit Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_SELECT_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_SELECT_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_SELECT_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Select Description' class.
`static int` `EEF_SELECT_STYLE` The meta object id for the '`EEF Select Style`' class.
`static int` `EEF_SELECT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_SELECT_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_SELECT_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_SELECT_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_SELECT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_SELECT_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Select Style' class.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION` The meta object id for the '`EEF Semantic Validation Rule Description`' class.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__AUDITS` The feature id for the 'Audits' containment reference list.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__FIXES` The feature id for the 'Fixes' containment reference list.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION` The feature id for the 'Message Expression' attribute.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__SEVERITY` The feature id for the 'Severity' attribute.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS` The feature id for the 'Target Class' attribute.
`static int` `EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Semantic Validation Rule Description' class.
`static int` `EEF_TEXT_CONDITIONAL_STYLE` The meta object id for the '`EEF Text Conditional Style`' class.
`static int` `EEF_TEXT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION` The feature id for the 'Precondition Expression' attribute.
`static int` `EEF_TEXT_CONDITIONAL_STYLE__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_TEXT_CONDITIONAL_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Text Conditional Style' class.
`static int` `EEF_TEXT_DESCRIPTION` The meta object id for the '`EEF Text Description`' class.
`static int` `EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES` The feature id for the 'Conditional Styles' containment reference list.
`static int` `EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION` The feature id for the 'Edit Expression' attribute.
`static int` `EEF_TEXT_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_TEXT_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_TEXT_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_TEXT_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_TEXT_DESCRIPTION__LINE_COUNT` The feature id for the 'Line Count' attribute.
`static int` `EEF_TEXT_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_TEXT_DESCRIPTION__STYLE` The feature id for the 'Style' containment reference.
`static int` `EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION` The feature id for the 'Value Expression' attribute.
`static int` `EEF_TEXT_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Text Description' class.
`static int` `EEF_TEXT_STYLE` The meta object id for the '`EEF Text Style`' class.
`static int` `EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Background Color Expression' attribute.
`static int` `EEF_TEXT_STYLE__FONT_NAME_EXPRESSION` The feature id for the 'Font Name Expression' attribute.
`static int` `EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION` The feature id for the 'Font Size Expression' attribute.
`static int` `EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION` The feature id for the 'Font Style Expression' attribute.
`static int` `EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Foreground Color Expression' attribute.
`static int` `EEF_TEXT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_TEXT_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_TEXT_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_TEXT_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_TEXT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_TEXT_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Text Style' class.
`static int` `EEF_TITLE_BAR_STYLE` The meta object id for the '`EEF TITLE BAR STYLE`' enum.
`static int` `EEF_TOGGLE_STYLE` The meta object id for the '`EEF TOGGLE STYLE`' enum.
`static int` `EEF_TOOLBAR_ACTION` The meta object id for the '`EEF Toolbar Action`' class.
`static int` `EEF_TOOLBAR_ACTION__ACTION_EXPRESSION` The feature id for the 'Action Expression' attribute.
`static int` `EEF_TOOLBAR_ACTION__IMAGE_EXPRESSION` The feature id for the 'Image Expression' attribute.
`static int` `EEF_TOOLBAR_ACTION__TOOLTIP_EXPRESSION` The feature id for the 'Tooltip Expression' attribute.
`static int` `EEF_TOOLBAR_ACTION_FEATURE_COUNT` The number of structural features of the 'EEF Toolbar Action' class.
`static int` `EEF_VALIDATION_FIX_DESCRIPTION` The meta object id for the '`EEF Validation Fix Description`' class.
`static int` `EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION` The feature id for the 'Fix Expression' attribute.
`static int` `EEF_VALIDATION_FIX_DESCRIPTION__NAME` The feature id for the 'Name' attribute.
`static int` `EEF_VALIDATION_FIX_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Validation Fix Description' class.
`static int` `EEF_VALIDATION_RULE_DESCRIPTION` The meta object id for the '`EEF Validation Rule Description`' class.
`static int` `EEF_VALIDATION_RULE_DESCRIPTION__AUDITS` The feature id for the 'Audits' containment reference list.
`static int` `EEF_VALIDATION_RULE_DESCRIPTION__FIXES` The feature id for the 'Fixes' containment reference list.
`static int` `EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION` The feature id for the 'Message Expression' attribute.
`static int` `EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY` The feature id for the 'Severity' attribute.
`static int` `EEF_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Validation Rule Description' class.
`static int` `EEF_VALIDATION_SEVERITY_DESCRIPTION` The meta object id for the '`EEF VALIDATION SEVERITY DESCRIPTION`' enum.
`static int` `EEF_VIEW_DESCRIPTION` The meta object id for the '`EEF View Description`' class.
`static int` `EEF_VIEW_DESCRIPTION__EPACKAGES` The feature id for the 'EPackages' reference list.
`static int` `EEF_VIEW_DESCRIPTION__GROUPS` The feature id for the 'Groups' containment reference list.
`static int` `EEF_VIEW_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION` The feature id for the 'Image Expression' attribute.
`static int` `EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_VIEW_DESCRIPTION__PAGES` The feature id for the 'Pages' containment reference list.
`static int` `EEF_VIEW_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF View Description' class.
`static int` `EEF_WIDGET_ACTION` The meta object id for the '`EEF Widget Action`' class.
`static int` `EEF_WIDGET_ACTION__ACTION_EXPRESSION` The feature id for the 'Action Expression' attribute.
`static int` `EEF_WIDGET_ACTION__IMAGE_EXPRESSION` The feature id for the 'Image Expression' attribute.
`static int` `EEF_WIDGET_ACTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_WIDGET_ACTION_FEATURE_COUNT` The number of structural features of the 'EEF Widget Action' class.
`static int` `EEF_WIDGET_DESCRIPTION` The meta object id for the '`EEF Widget Description` ' class.
`static int` `EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION` The feature id for the 'Help Expression' attribute.
`static int` `EEF_WIDGET_DESCRIPTION__IDENTIFIER` The feature id for the 'Identifier' attribute.
`static int` `EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION` The feature id for the 'Is Enabled Expression' attribute.
`static int` `EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute.
`static int` `EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES` The feature id for the 'Property Validation Rules' reference list.
`static int` `EEF_WIDGET_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'EEF Widget Description' class.
`static int` `EEF_WIDGET_STYLE` The meta object id for the '`EEF Widget Style`' class.
`static int` `EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION` The feature id for the 'Label Background Color Expression' attribute.
`static int` `EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION` The feature id for the 'Label Font Name Expression' attribute.
`static int` `EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION` The feature id for the 'Label Font Size Expression' attribute.
`static int` `EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION` The feature id for the 'Label Font Style Expression' attribute.
`static int` `EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION` The feature id for the 'Label Foreground Color Expression' attribute.
`static int` `EEF_WIDGET_STYLE_FEATURE_COUNT` The number of structural features of the 'EEF Widget Style' class.
`static EefPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EEnum` `getEEF_FILL_LAYOUT_ORIENTATION()` Returns the meta object for enum '`EEF FILL LAYOUT ORIENTATION`'.
`org.eclipse.emf.ecore.EEnum` `getEEF_TITLE_BAR_STYLE()` Returns the meta object for enum '`EEF TITLE BAR STYLE`'.
`org.eclipse.emf.ecore.EEnum` `getEEF_TOGGLE_STYLE()` Returns the meta object for enum '`EEF TOGGLE STYLE`'.
`org.eclipse.emf.ecore.EEnum` `getEEF_VALIDATION_SEVERITY_DESCRIPTION()` Returns the meta object for enum '`EEF VALIDATION SEVERITY DESCRIPTION`'.
`org.eclipse.emf.ecore.EReference` `getEEFButtonConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFButtonConditionalStyle()` Returns the meta object for class '`EEF Button Conditional Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFButtonDescription_ButtonLabelExpression()` Returns the meta object for the attribute '`Button Label Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFButtonDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFButtonDescription_ImageExpression()` Returns the meta object for the attribute '`Image Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFButtonDescription_PushExpression()` Returns the meta object for the attribute '`Push Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFButtonDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFButtonDescription()` Returns the meta object for class '`EEF Button Description`'.
`org.eclipse.emf.ecore.EClass` `getEEFButtonStyle()` Returns the meta object for class '`EEF Button Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFCheckboxConditionalStyle_Style()` Returns the meta object for the containment reference ' `Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFCheckboxConditionalStyle()` Returns the meta object for class '`EEF Checkbox Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFCheckboxDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFCheckboxDescription_EditExpression()` Returns the meta object for the attribute '`Edit Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFCheckboxDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFCheckboxDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFCheckboxDescription()` Returns the meta object for class '`EEF Checkbox Description`'.
`org.eclipse.emf.ecore.EClass` `getEEFCheckboxStyle()` Returns the meta object for class '`EEF Checkbox Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFConditionalStyle_PreconditionExpression()` Returns the meta object for the attribute '`Precondition Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFConditionalStyle()` Returns the meta object for class '`EEF Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFContainerDescription_Controls()` Returns the meta object for the containment reference list ' `Controls`'.
`org.eclipse.emf.ecore.EReference` `getEEFContainerDescription_Layout()` Returns the meta object for the containment reference '`Layout`'.
`org.eclipse.emf.ecore.EClass` `getEEFContainerDescription()` Returns the meta object for class '`EEF Container Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFControlDescription_Identifier()` Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EClass` `getEEFControlDescription()` Returns the meta object for class '`EEF Control Description` '.
`org.eclipse.emf.ecore.EAttribute` `getEEFCustomExpression_CustomExpression()` Returns the meta object for the attribute '`Custom Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFCustomExpression_Identifier()` Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EClass` `getEEFCustomExpression()` Returns the meta object for class '`EEF Custom Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetConditionalStyle_Style()` Returns the meta object for the containment reference ' `Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFCustomWidgetConditionalStyle()` Returns the meta object for class '`EEF Custom Widget Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetDescription_CustomExpressions()` Returns the meta object for the containment reference list ' `Custom Expressions`'.
`org.eclipse.emf.ecore.EReference` `getEEFCustomWidgetDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFCustomWidgetDescription()` Returns the meta object for class '`EEF Custom Widget Description`'.
`org.eclipse.emf.ecore.EClass` `getEEFCustomWidgetStyle()` Returns the meta object for class '`EEF Custom Widget Style` '.
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingFor_ForceRefresh()` Returns the meta object for the attribute '`Force Refresh`'.
`org.eclipse.emf.ecore.EReference` `getEEFDynamicMappingFor_Ifs()` Returns the meta object for the containment reference list '`Ifs`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingFor_IterableExpression()` Returns the meta object for the attribute '`Iterable Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingFor_Iterator()` Returns the meta object for the attribute '`Iterator`'.
`org.eclipse.emf.ecore.EClass` `getEEFDynamicMappingFor()` Returns the meta object for class '`EEF Dynamic Mapping For` '.
`org.eclipse.emf.ecore.EAttribute` `getEEFDynamicMappingIf_PredicateExpression()` Returns the meta object for the attribute '`Predicate Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFDynamicMappingIf_Widget()` Returns the meta object for the containment reference '`Widget`'.
`org.eclipse.emf.ecore.EClass` `getEEFDynamicMappingIf()` Returns the meta object for class '`EEF Dynamic Mapping If`'.
`EefFactory` `getEefFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` `getEEFFillLayoutDescription_Orientation()` Returns the meta object for the attribute '`Orientation`'.
`org.eclipse.emf.ecore.EClass` `getEEFFillLayoutDescription()` Returns the meta object for class '`EEF Fill Layout Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGridLayoutDescription_MakeColumnsWithEqualWidth()` Returns the meta object for the attribute ' `Make Columns With Equal Width`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGridLayoutDescription_NumberOfColumns()` Returns the meta object for the attribute '`Number Of Columns`'.
`org.eclipse.emf.ecore.EClass` `getEEFGridLayoutDescription()` Returns the meta object for class '`EEF Grid Layout Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFGroupConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFGroupConditionalStyle()` Returns the meta object for class '`EEF Group Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_Actions()` Returns the meta object for the containment reference list '`Actions`'.
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_Controls()` Returns the meta object for the containment reference list ' `Controls`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_DomainClass()` Returns the meta object for the attribute '`Domain Class`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_Identifier()` Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_LabelExpression()` Returns the meta object for the attribute '`Label Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_PreconditionExpression()` Returns the meta object for the attribute '`Precondition Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_PropertyValidationRules()` Returns the meta object for the containment reference list ' `Property Validation Rules`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupDescription_SemanticCandidateExpression()` Returns the meta object for the attribute ' `Semantic Candidate Expression` '.
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_SemanticValidationRules()` Returns the meta object for the containment reference list ' `Semantic Validation Rules`'.
`org.eclipse.emf.ecore.EReference` `getEEFGroupDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFGroupDescription()` Returns the meta object for class '`EEF Group Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_BackgroundColorExpression()` Returns the meta object for the attribute '`Background Color Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_BarStyle()` Returns the meta object for the attribute '`Bar Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_ExpandedByDefault()` Returns the meta object for the attribute '`Expanded By Default`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_FontNameExpression()` Returns the meta object for the attribute '`Font Name Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_FontSizeExpression()` Returns the meta object for the attribute '`Font Size Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_ForegroundColorExpression()` Returns the meta object for the attribute '`Foreground Color Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFGroupStyle_ToggleStyle()` Returns the meta object for the attribute '`Toggle Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFGroupStyle()` Returns the meta object for class '`EEF Group Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkConditionalStyle_Style()` Returns the meta object for the containment reference ' `Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFHyperlinkConditionalStyle()` Returns the meta object for class '`EEF Hyperlink Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkDescription_Actions()` Returns the meta object for the containment reference list ' `Actions`'.
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkDescription_DisplayExpression()` Returns the meta object for the attribute '`Display Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkDescription_OnClickExpression()` Returns the meta object for the attribute '`On Click Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFHyperlinkDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFHyperlinkDescription()` Returns the meta object for class '`EEF Hyperlink Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_BackgroundColorExpression()` Returns the meta object for the attribute '`Background Color Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_FontNameExpression()` Returns the meta object for the attribute '`Font Name Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_FontSizeExpression()` Returns the meta object for the attribute '`Font Size Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFHyperlinkStyle_FontStyleExpression()` Returns the meta object for the attribute '`Font Style Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFHyperlinkStyle()` Returns the meta object for class '`EEF Hyperlink Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFLabelConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFLabelConditionalStyle()` Returns the meta object for class '`EEF Label Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFLabelDescription_Actions()` Returns the meta object for the containment reference list '`Actions`'.
`org.eclipse.emf.ecore.EReference` `getEEFLabelDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelDescription_DisplayExpression()` Returns the meta object for the attribute '`Display Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFLabelDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFLabelDescription()` Returns the meta object for class '`EEF Label Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_BackgroundColorExpression()` Returns the meta object for the attribute '`Background Color Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_FontNameExpression()` Returns the meta object for the attribute '`Font Name Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_FontSizeExpression()` Returns the meta object for the attribute '`Font Size Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_FontStyleExpression()` Returns the meta object for the attribute '`Font Style Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFLabelStyle_ForegroundColorExpression()` Returns the meta object for the attribute '`Foreground Color Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFLabelStyle()` Returns the meta object for class '`EEF Label Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFLayoutDescription()` Returns the meta object for class '`EEF Layout Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFListConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFListConditionalStyle()` Returns the meta object for class '`EEF List Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFListDescription_Actions()` Returns the meta object for the containment reference list '`Actions`'.
`org.eclipse.emf.ecore.EReference` `getEEFListDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFListDescription_DisplayExpression()` Returns the meta object for the attribute '`Display Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFListDescription_OnClickExpression()` Returns the meta object for the attribute '`On Click Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFListDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFListDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFListDescription()` Returns the meta object for class '`EEF List Description`'.
`org.eclipse.emf.ecore.EClass` `getEEFListStyle()` Returns the meta object for class '`EEF List Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFPageDescription_Actions()` Returns the meta object for the containment reference list '`Actions`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_DomainClass()` Returns the meta object for the attribute '`Domain Class`'.
`org.eclipse.emf.ecore.EReference` `getEEFPageDescription_Groups()` Returns the meta object for the reference list '`Groups`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_Identifier()` Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_Indented()` Returns the meta object for the attribute '`Indented` '.
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_LabelExpression()` Returns the meta object for the attribute '`Label Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_PreconditionExpression()` Returns the meta object for the attribute '`Precondition Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFPageDescription_SemanticCandidateExpression()` Returns the meta object for the attribute ' `Semantic Candidate Expression` '.
`org.eclipse.emf.ecore.EReference` `getEEFPageDescription_SemanticValidationRules()` Returns the meta object for the containment reference list ' `Semantic Validation Rules`'.
`org.eclipse.emf.ecore.EClass` `getEEFPageDescription()` Returns the meta object for class '`EEF Page Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFPropertyValidationRuleDescription_Targets()` Returns the meta object for the reference list ' `Targets`'.
`org.eclipse.emf.ecore.EClass` `getEEFPropertyValidationRuleDescription()` Returns the meta object for class '`EEF Property Validation Rule Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFRadioConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFRadioConditionalStyle()` Returns the meta object for class '`EEF Radio Conditional Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_CandidateDisplayExpression()` Returns the meta object for the attribute ' `Candidate Display Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_CandidatesExpression()` Returns the meta object for the attribute '`Candidates Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFRadioDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_EditExpression()` Returns the meta object for the attribute '`Edit Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_NumberOfColumns()` Returns the meta object for the attribute '`Number Of Columns`'.
`org.eclipse.emf.ecore.EReference` `getEEFRadioDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFRadioDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFRadioDescription()` Returns the meta object for class '`EEF Radio Description`'.
`org.eclipse.emf.ecore.EClass` `getEEFRadioStyle()` Returns the meta object for class '`EEF Radio Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFRuleAuditDescription_AuditExpression()` Returns the meta object for the attribute '`Audit Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFRuleAuditDescription()` Returns the meta object for class '`EEF Rule Audit Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFSelectConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFSelectConditionalStyle()` Returns the meta object for class '`EEF Select Conditional Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_CandidateDisplayExpression()` Returns the meta object for the attribute ' `Candidate Display Expression` '.
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_CandidatesExpression()` Returns the meta object for the attribute '`Candidates Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFSelectDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_EditExpression()` Returns the meta object for the attribute '`Edit Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFSelectDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFSelectDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFSelectDescription()` Returns the meta object for class '`EEF Select Description`'.
`org.eclipse.emf.ecore.EClass` `getEEFSelectStyle()` Returns the meta object for class '`EEF Select Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFSemanticValidationRuleDescription_TargetClass()` Returns the meta object for the attribute ' `Target Class`'.
`org.eclipse.emf.ecore.EClass` `getEEFSemanticValidationRuleDescription()` Returns the meta object for class '`EEF Semantic Validation Rule Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFTextConditionalStyle_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EClass` `getEEFTextConditionalStyle()` Returns the meta object for class '`EEF Text Conditional Style`'.
`org.eclipse.emf.ecore.EReference` `getEEFTextDescription_ConditionalStyles()` Returns the meta object for the containment reference list ' `Conditional Styles`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextDescription_EditExpression()` Returns the meta object for the attribute '`Edit Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextDescription_LineCount()` Returns the meta object for the attribute '`Line Count`'.
`org.eclipse.emf.ecore.EReference` `getEEFTextDescription_Style()` Returns the meta object for the containment reference '`Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextDescription_ValueExpression()` Returns the meta object for the attribute '`Value Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFTextDescription()` Returns the meta object for class '`EEF Text Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_BackgroundColorExpression()` Returns the meta object for the attribute '`Background Color Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_FontNameExpression()` Returns the meta object for the attribute '`Font Name Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_FontSizeExpression()` Returns the meta object for the attribute '`Font Size Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_FontStyleExpression()` Returns the meta object for the attribute '`Font Style Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFTextStyle_ForegroundColorExpression()` Returns the meta object for the attribute '`Foreground Color Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFTextStyle()` Returns the meta object for class '`EEF Text Style`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFToolbarAction_ActionExpression()` Returns the meta object for the attribute '`Action Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFToolbarAction_ImageExpression()` Returns the meta object for the attribute '`Image Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFToolbarAction_TooltipExpression()` Returns the meta object for the attribute '`Tooltip Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFToolbarAction()` Returns the meta object for class '`EEF Toolbar Action`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationFixDescription_FixExpression()` Returns the meta object for the attribute '`Fix Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationFixDescription_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass` `getEEFValidationFixDescription()` Returns the meta object for class '`EEF Validation Fix Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFValidationRuleDescription_Audits()` Returns the meta object for the containment reference list ' `Audits`'.
`org.eclipse.emf.ecore.EReference` `getEEFValidationRuleDescription_Fixes()` Returns the meta object for the containment reference list ' `Fixes`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationRuleDescription_MessageExpression()` Returns the meta object for the attribute ' `Message Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFValidationRuleDescription_Severity()` Returns the meta object for the attribute '`Severity`'.
`org.eclipse.emf.ecore.EClass` `getEEFValidationRuleDescription()` Returns the meta object for class '`EEF Validation Rule Description`'.
`org.eclipse.emf.ecore.EReference` `getEEFViewDescription_EPackages()` Returns the meta object for the reference list '`EPackages`'.
`org.eclipse.emf.ecore.EReference` `getEEFViewDescription_Groups()` Returns the meta object for the containment reference list '`Groups`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFViewDescription_Identifier()` Returns the meta object for the attribute '`Identifier`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFViewDescription_ImageExpression()` Returns the meta object for the attribute '`Image Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFViewDescription_LabelExpression()` Returns the meta object for the attribute '`Label Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFViewDescription_Pages()` Returns the meta object for the containment reference list '`Pages`'.
`org.eclipse.emf.ecore.EClass` `getEEFViewDescription()` Returns the meta object for class '`EEF View Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetAction_ActionExpression()` Returns the meta object for the attribute '`Action Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetAction_ImageExpression()` Returns the meta object for the attribute '`Image Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetAction_LabelExpression()` Returns the meta object for the attribute '`Label Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFWidgetAction()` Returns the meta object for class '`EEF Widget Action`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetDescription_HelpExpression()` Returns the meta object for the attribute '`Help Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetDescription_IsEnabledExpression()` Returns the meta object for the attribute '`Is Enabled Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetDescription_LabelExpression()` Returns the meta object for the attribute '`Label Expression`'.
`org.eclipse.emf.ecore.EReference` `getEEFWidgetDescription_PropertyValidationRules()` Returns the meta object for the reference list ' `Property Validation Rules`'.
`org.eclipse.emf.ecore.EClass` `getEEFWidgetDescription()` Returns the meta object for class '`EEF Widget Description`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelBackgroundColorExpression()` Returns the meta object for the attribute ' `Label Background Color Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelFontNameExpression()` Returns the meta object for the attribute '`Label Font Name Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelFontSizeExpression()` Returns the meta object for the attribute '`Label Font Size Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelFontStyleExpression()` Returns the meta object for the attribute '`Label Font Style Expression`'.
`org.eclipse.emf.ecore.EAttribute` `getEEFWidgetStyle_LabelForegroundColorExpression()` Returns the meta object for the attribute ' `Label Foreground Color Expression`'.
`org.eclipse.emf.ecore.EClass` `getEEFWidgetStyle()` Returns the meta object for class '`EEF Widget Style`'.

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final EefPackage eINSTANCE

The singleton instance of the package.

#### EEF_VIEW_DESCRIPTION

    static final int EEF_VIEW_DESCRIPTION

The meta object id for the '`EEF View Description`' class.

See Also:
  `EEFViewDescriptionImpl`, `EefPackageImpl.getEEFViewDescription()`, Constant Field Values

#### EEF_VIEW_DESCRIPTION__IDENTIFIER

    static final int EEF_VIEW_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_VIEW_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION

    static final int EEF_VIEW_DESCRIPTION__IMAGE_EXPRESSION

The feature id for the 'Image Expression' attribute.

See Also:
  Constant Field Values

#### EEF_VIEW_DESCRIPTION__GROUPS

    static final int EEF_VIEW_DESCRIPTION__GROUPS

The feature id for the 'Groups' containment reference list.

See Also:
  Constant Field Values

#### EEF_VIEW_DESCRIPTION__PAGES

    static final int EEF_VIEW_DESCRIPTION__PAGES

The feature id for the 'Pages' containment reference list.

See Also:
  Constant Field Values

#### EEF_VIEW_DESCRIPTION__EPACKAGES

    static final int EEF_VIEW_DESCRIPTION__EPACKAGES

The feature id for the 'EPackages' reference list.

See Also:
  Constant Field Values

#### EEF_VIEW_DESCRIPTION_FEATURE_COUNT

    static final int EEF_VIEW_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF View Description' class.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION

    static final int EEF_PAGE_DESCRIPTION

The meta object id for the '`EEF Page Description`' class.

See Also:
  `EEFPageDescriptionImpl`, `EefPackageImpl.getEEFPageDescription()`, Constant Field Values

#### EEF_PAGE_DESCRIPTION__IDENTIFIER

    static final int EEF_PAGE_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_PAGE_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__DOMAIN_CLASS

    static final int EEF_PAGE_DESCRIPTION__DOMAIN_CLASS

The feature id for the 'Domain Class' attribute.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

    static final int EEF_PAGE_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

The feature id for the 'Semantic Candidate Expression' attribute.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION

    static final int EEF_PAGE_DESCRIPTION__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__GROUPS

    static final int EEF_PAGE_DESCRIPTION__GROUPS

The feature id for the 'Groups' reference list.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES

    static final int EEF_PAGE_DESCRIPTION__SEMANTIC_VALIDATION_RULES

The feature id for the 'Semantic Validation Rules' containment reference list.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__INDENTED

    static final int EEF_PAGE_DESCRIPTION__INDENTED

The feature id for the 'Indented' attribute.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION__ACTIONS

    static final int EEF_PAGE_DESCRIPTION__ACTIONS

The feature id for the 'Actions' containment reference list.

See Also:
  Constant Field Values

#### EEF_PAGE_DESCRIPTION_FEATURE_COUNT

    static final int EEF_PAGE_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Page Description' class.

See Also:
  Constant Field Values

#### EEF_VALIDATION_RULE_DESCRIPTION

    static final int EEF_VALIDATION_RULE_DESCRIPTION

The meta object id for the '`EEF Validation Rule Description`' class.

See Also:
  `EEFValidationRuleDescriptionImpl`, `EefPackageImpl.getEEFValidationRuleDescription()`, Constant Field Values

#### EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY

    static final int EEF_VALIDATION_RULE_DESCRIPTION__SEVERITY

The feature id for the 'Severity' attribute.

See Also:
  Constant Field Values

#### EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

    static final int EEF_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

The feature id for the 'Message Expression' attribute.

See Also:
  Constant Field Values

#### EEF_VALIDATION_RULE_DESCRIPTION__AUDITS

    static final int EEF_VALIDATION_RULE_DESCRIPTION__AUDITS

The feature id for the 'Audits' containment reference list.

See Also:
  Constant Field Values

#### EEF_VALIDATION_RULE_DESCRIPTION__FIXES

    static final int EEF_VALIDATION_RULE_DESCRIPTION__FIXES

The feature id for the 'Fixes' containment reference list.

See Also:
  Constant Field Values

#### EEF_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT

    static final int EEF_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Validation Rule Description' class.

See Also:
  Constant Field Values

#### EEF_RULE_AUDIT_DESCRIPTION

    static final int EEF_RULE_AUDIT_DESCRIPTION

The meta object id for the '`EEF Rule Audit Description`' class.

See Also:
  `EEFRuleAuditDescriptionImpl`, `EefPackageImpl.getEEFRuleAuditDescription()`, Constant Field Values

#### EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION

    static final int EEF_RULE_AUDIT_DESCRIPTION__AUDIT_EXPRESSION

The feature id for the 'Audit Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RULE_AUDIT_DESCRIPTION_FEATURE_COUNT

    static final int EEF_RULE_AUDIT_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Rule Audit Description' class.

See Also:
  Constant Field Values

#### EEF_VALIDATION_FIX_DESCRIPTION

    static final int EEF_VALIDATION_FIX_DESCRIPTION

The meta object id for the '`EEF Validation Fix Description`' class.

See Also:
  `EEFValidationFixDescriptionImpl`, `EefPackageImpl.getEEFValidationFixDescription()`, Constant Field Values

#### EEF_VALIDATION_FIX_DESCRIPTION__NAME

    static final int EEF_VALIDATION_FIX_DESCRIPTION__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION

    static final int EEF_VALIDATION_FIX_DESCRIPTION__FIX_EXPRESSION

The feature id for the 'Fix Expression' attribute.

See Also:
  Constant Field Values

#### EEF_VALIDATION_FIX_DESCRIPTION_FEATURE_COUNT

    static final int EEF_VALIDATION_FIX_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Validation Fix Description' class.

See Also:
  Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION

The meta object id for the '`EEF Property Validation Rule Description`' class.

See Also:
  `EEFPropertyValidationRuleDescriptionImpl`, `EefPackageImpl.getEEFPropertyValidationRuleDescription()`, Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__SEVERITY

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__SEVERITY

The feature id for the 'Severity' attribute.

See Also:
  Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

The feature id for the 'Message Expression' attribute.

See Also:
  Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__AUDITS

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__AUDITS

The feature id for the 'Audits' containment reference list.

See Also:
  Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__FIXES

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__FIXES

The feature id for the 'Fixes' containment reference list.

See Also:
  Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION__TARGETS

The feature id for the 'Targets' reference list.

See Also:
  Constant Field Values

#### EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT

    static final int EEF_PROPERTY_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Property Validation Rule Description' class.

See Also:
  Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION

The meta object id for the '`EEF Semantic Validation Rule Description`' class.

See Also:
  `EEFSemanticValidationRuleDescriptionImpl`, `EefPackageImpl.getEEFSemanticValidationRuleDescription()`, Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__SEVERITY

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__SEVERITY

The feature id for the 'Severity' attribute.

See Also:
  Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__MESSAGE_EXPRESSION

The feature id for the 'Message Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__AUDITS

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__AUDITS

The feature id for the 'Audits' containment reference list.

See Also:
  Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__FIXES

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__FIXES

The feature id for the 'Fixes' containment reference list.

See Also:
  Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION__TARGET_CLASS

The feature id for the 'Target Class' attribute.

See Also:
  Constant Field Values

#### EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT

    static final int EEF_SEMANTIC_VALIDATION_RULE_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Semantic Validation Rule Description' class.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION

    static final int EEF_GROUP_DESCRIPTION

The meta object id for the '`EEF Group Description`' class.

See Also:
  `EEFGroupDescriptionImpl`, `EefPackageImpl.getEEFGroupDescription()`, Constant Field Values

#### EEF_GROUP_DESCRIPTION__IDENTIFIER

    static final int EEF_GROUP_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_GROUP_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__DOMAIN_CLASS

    static final int EEF_GROUP_DESCRIPTION__DOMAIN_CLASS

The feature id for the 'Domain Class' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

    static final int EEF_GROUP_DESCRIPTION__SEMANTIC_CANDIDATE_EXPRESSION

The feature id for the 'Semantic Candidate Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION

    static final int EEF_GROUP_DESCRIPTION__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__CONTROLS

    static final int EEF_GROUP_DESCRIPTION__CONTROLS

The feature id for the 'Controls' containment reference list.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES

    static final int EEF_GROUP_DESCRIPTION__SEMANTIC_VALIDATION_RULES

The feature id for the 'Semantic Validation Rules' containment reference list.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_GROUP_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' containment reference list.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__STYLE

    static final int EEF_GROUP_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_GROUP_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION__ACTIONS

    static final int EEF_GROUP_DESCRIPTION__ACTIONS

The feature id for the 'Actions' containment reference list.

See Also:
  Constant Field Values

#### EEF_GROUP_DESCRIPTION_FEATURE_COUNT

    static final int EEF_GROUP_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Group Description' class.

See Also:
  Constant Field Values

#### EEF_TOOLBAR_ACTION

    static final int EEF_TOOLBAR_ACTION

The meta object id for the '`EEF Toolbar Action`' class.

See Also:
  `EEFToolbarActionImpl`, `EefPackageImpl.getEEFToolbarAction()`, Constant Field Values

#### EEF_TOOLBAR_ACTION__TOOLTIP_EXPRESSION

    static final int EEF_TOOLBAR_ACTION__TOOLTIP_EXPRESSION

The feature id for the 'Tooltip Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TOOLBAR_ACTION__IMAGE_EXPRESSION

    static final int EEF_TOOLBAR_ACTION__IMAGE_EXPRESSION

The feature id for the 'Image Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TOOLBAR_ACTION__ACTION_EXPRESSION

    static final int EEF_TOOLBAR_ACTION__ACTION_EXPRESSION

The feature id for the 'Action Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TOOLBAR_ACTION_FEATURE_COUNT

    static final int EEF_TOOLBAR_ACTION_FEATURE_COUNT

The number of structural features of the 'EEF Toolbar Action' class.

See Also:
  Constant Field Values

#### EEF_CONTROL_DESCRIPTION

    static final int EEF_CONTROL_DESCRIPTION

The meta object id for the '`EEF Control Description`' class.

See Also:
  `EEFControlDescriptionImpl`, `EefPackageImpl.getEEFControlDescription()`, Constant Field Values

#### EEF_CONTROL_DESCRIPTION__IDENTIFIER

    static final int EEF_CONTROL_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_CONTROL_DESCRIPTION_FEATURE_COUNT

    static final int EEF_CONTROL_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Control Description' class.

See Also:
  Constant Field Values

#### EEF_CONTAINER_DESCRIPTION

    static final int EEF_CONTAINER_DESCRIPTION

The meta object id for the '`EEF Container Description`' class.

See Also:
  `EEFContainerDescriptionImpl`, `EefPackageImpl.getEEFContainerDescription()`, Constant Field Values

#### EEF_CONTAINER_DESCRIPTION__IDENTIFIER

    static final int EEF_CONTAINER_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_CONTAINER_DESCRIPTION__CONTROLS

    static final int EEF_CONTAINER_DESCRIPTION__CONTROLS

The feature id for the 'Controls' containment reference list.

See Also:
  Constant Field Values

#### EEF_CONTAINER_DESCRIPTION__LAYOUT

    static final int EEF_CONTAINER_DESCRIPTION__LAYOUT

The feature id for the 'Layout' containment reference.

See Also:
  Constant Field Values

#### EEF_CONTAINER_DESCRIPTION_FEATURE_COUNT

    static final int EEF_CONTAINER_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Container Description' class.

See Also:
  Constant Field Values

#### EEF_LAYOUT_DESCRIPTION

    static final int EEF_LAYOUT_DESCRIPTION

The meta object id for the '`EEF Layout Description` ' class.

See Also:
  `EEFLayoutDescriptionImpl`, `EefPackageImpl.getEEFLayoutDescription()`, Constant Field Values

#### EEF_LAYOUT_DESCRIPTION_FEATURE_COUNT

    static final int EEF_LAYOUT_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Layout Description' class.

See Also:
  Constant Field Values

#### EEF_FILL_LAYOUT_DESCRIPTION

    static final int EEF_FILL_LAYOUT_DESCRIPTION

The meta object id for the '`EEF Fill Layout Description`' class.

See Also:
  `EEFFillLayoutDescriptionImpl`, `EefPackageImpl.getEEFFillLayoutDescription()`, Constant Field Values

#### EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION

    static final int EEF_FILL_LAYOUT_DESCRIPTION__ORIENTATION

The feature id for the 'Orientation' attribute.

See Also:
  Constant Field Values

#### EEF_FILL_LAYOUT_DESCRIPTION_FEATURE_COUNT

    static final int EEF_FILL_LAYOUT_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Fill Layout Description' class.

See Also:
  Constant Field Values

#### EEF_GRID_LAYOUT_DESCRIPTION

    static final int EEF_GRID_LAYOUT_DESCRIPTION

The meta object id for the '`EEF Grid Layout Description`' class.

See Also:
  `EEFGridLayoutDescriptionImpl`, `EefPackageImpl.getEEFGridLayoutDescription()`, Constant Field Values

#### EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS

    static final int EEF_GRID_LAYOUT_DESCRIPTION__NUMBER_OF_COLUMNS

The feature id for the 'Number Of Columns' attribute.

See Also:
  Constant Field Values

#### EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH

    static final int EEF_GRID_LAYOUT_DESCRIPTION__MAKE_COLUMNS_WITH_EQUAL_WIDTH

The feature id for the 'Make Columns With Equal Width' attribute.

See Also:
  Constant Field Values

#### EEF_GRID_LAYOUT_DESCRIPTION_FEATURE_COUNT

    static final int EEF_GRID_LAYOUT_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Grid Layout Description' class.

See Also:
  Constant Field Values

#### EEF_WIDGET_DESCRIPTION

    static final int EEF_WIDGET_DESCRIPTION

The meta object id for the '`EEF Widget Description` ' class.

See Also:
  `EEFWidgetDescriptionImpl`, `EefPackageImpl.getEEFWidgetDescription()`, Constant Field Values

#### EEF_WIDGET_DESCRIPTION__IDENTIFIER

    static final int EEF_WIDGET_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_WIDGET_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_WIDGET_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_WIDGET_DESCRIPTION_FEATURE_COUNT

    static final int EEF_WIDGET_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Widget Description' class.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION

    static final int EEF_TEXT_DESCRIPTION

The meta object id for the '`EEF Text Description`' class.

See Also:
  `EEFTextDescriptionImpl`, `EefPackageImpl.getEEFTextDescription()`, Constant Field Values

#### EEF_TEXT_DESCRIPTION__IDENTIFIER

    static final int EEF_TEXT_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_TEXT_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_TEXT_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_TEXT_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_TEXT_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_TEXT_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION

    static final int EEF_TEXT_DESCRIPTION__EDIT_EXPRESSION

The feature id for the 'Edit Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__LINE_COUNT

    static final int EEF_TEXT_DESCRIPTION__LINE_COUNT

The feature id for the 'Line Count' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__STYLE

    static final int EEF_TEXT_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_TEXT_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_TEXT_DESCRIPTION_FEATURE_COUNT

    static final int EEF_TEXT_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Text Description' class.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION

    static final int EEF_LABEL_DESCRIPTION

The meta object id for the '`EEF Label Description`' class.

See Also:
  `EEFLabelDescriptionImpl`, `EefPackageImpl.getEEFLabelDescription()`, Constant Field Values

#### EEF_LABEL_DESCRIPTION__IDENTIFIER

    static final int EEF_LABEL_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_LABEL_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_LABEL_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_LABEL_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_LABEL_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_LABEL_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION

    static final int EEF_LABEL_DESCRIPTION__DISPLAY_EXPRESSION

The feature id for the 'Display Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__STYLE

    static final int EEF_LABEL_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_LABEL_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION__ACTIONS

    static final int EEF_LABEL_DESCRIPTION__ACTIONS

The feature id for the 'Actions' containment reference list.

See Also:
  Constant Field Values

#### EEF_LABEL_DESCRIPTION_FEATURE_COUNT

    static final int EEF_LABEL_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Label Description' class.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION

    static final int EEF_BUTTON_DESCRIPTION

The meta object id for the '`EEF Button Description` ' class.

See Also:
  `EEFButtonDescriptionImpl`, `EefPackageImpl.getEEFButtonDescription()`, Constant Field Values

#### EEF_BUTTON_DESCRIPTION__IDENTIFIER

    static final int EEF_BUTTON_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_BUTTON_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_BUTTON_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_BUTTON_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_BUTTON_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION

    static final int EEF_BUTTON_DESCRIPTION__BUTTON_LABEL_EXPRESSION

The feature id for the 'Button Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__IMAGE_EXPRESSION

    static final int EEF_BUTTON_DESCRIPTION__IMAGE_EXPRESSION

The feature id for the 'Image Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION

    static final int EEF_BUTTON_DESCRIPTION__PUSH_EXPRESSION

The feature id for the 'Push Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__STYLE

    static final int EEF_BUTTON_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_BUTTON_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_BUTTON_DESCRIPTION_FEATURE_COUNT

    static final int EEF_BUTTON_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Button Description' class.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION

    static final int EEF_CHECKBOX_DESCRIPTION

The meta object id for the '`EEF Checkbox Description`' class.

See Also:
  `EEFCheckboxDescriptionImpl`, `EefPackageImpl.getEEFCheckboxDescription()`, Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__IDENTIFIER

    static final int EEF_CHECKBOX_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_CHECKBOX_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_CHECKBOX_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_CHECKBOX_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_CHECKBOX_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_CHECKBOX_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION

    static final int EEF_CHECKBOX_DESCRIPTION__EDIT_EXPRESSION

The feature id for the 'Edit Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__STYLE

    static final int EEF_CHECKBOX_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_CHECKBOX_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_DESCRIPTION_FEATURE_COUNT

    static final int EEF_CHECKBOX_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Checkbox Description' class.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION

    static final int EEF_SELECT_DESCRIPTION

The meta object id for the '`EEF Select Description` ' class.

See Also:
  `EEFSelectDescriptionImpl`, `EefPackageImpl.getEEFSelectDescription()`, Constant Field Values

#### EEF_SELECT_DESCRIPTION__IDENTIFIER

    static final int EEF_SELECT_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_SELECT_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__EDIT_EXPRESSION

The feature id for the 'Edit Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__CANDIDATES_EXPRESSION

The feature id for the 'Candidates Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

    static final int EEF_SELECT_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

The feature id for the 'Candidate Display Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__STYLE

    static final int EEF_SELECT_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_SELECT_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_SELECT_DESCRIPTION_FEATURE_COUNT

    static final int EEF_SELECT_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Select Description' class.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION

    static final int EEF_RADIO_DESCRIPTION

The meta object id for the '`EEF Radio Description`' class.

See Also:
  `EEFRadioDescriptionImpl`, `EefPackageImpl.getEEFRadioDescription()`, Constant Field Values

#### EEF_RADIO_DESCRIPTION__IDENTIFIER

    static final int EEF_RADIO_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_RADIO_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__EDIT_EXPRESSION

The feature id for the 'Edit Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__CANDIDATES_EXPRESSION

The feature id for the 'Candidates Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

    static final int EEF_RADIO_DESCRIPTION__CANDIDATE_DISPLAY_EXPRESSION

The feature id for the 'Candidate Display Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__STYLE

    static final int EEF_RADIO_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS

    static final int EEF_RADIO_DESCRIPTION__NUMBER_OF_COLUMNS

The feature id for the 'Number Of Columns' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_RADIO_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_RADIO_DESCRIPTION_FEATURE_COUNT

    static final int EEF_RADIO_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Radio Description' class.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION

    static final int EEF_HYPERLINK_DESCRIPTION

The meta object id for the '`EEF Hyperlink Description`' class.

See Also:
  `EEFHyperlinkDescriptionImpl`, `EefPackageImpl.getEEFHyperlinkDescription()`, Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__IDENTIFIER

    static final int EEF_HYPERLINK_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_HYPERLINK_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_HYPERLINK_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_HYPERLINK_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_HYPERLINK_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_HYPERLINK_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION

    static final int EEF_HYPERLINK_DESCRIPTION__DISPLAY_EXPRESSION

The feature id for the 'Display Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION

    static final int EEF_HYPERLINK_DESCRIPTION__ON_CLICK_EXPRESSION

The feature id for the 'On Click Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__STYLE

    static final int EEF_HYPERLINK_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_HYPERLINK_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION__ACTIONS

    static final int EEF_HYPERLINK_DESCRIPTION__ACTIONS

The feature id for the 'Actions' containment reference list.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_DESCRIPTION_FEATURE_COUNT

    static final int EEF_HYPERLINK_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Hyperlink Description' class.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR

    static final int EEF_DYNAMIC_MAPPING_FOR

The meta object id for the '`EEF Dynamic Mapping For` ' class.

See Also:
  `EEFDynamicMappingForImpl`, `EefPackageImpl.getEEFDynamicMappingFor()`, Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR__IDENTIFIER

    static final int EEF_DYNAMIC_MAPPING_FOR__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR__ITERATOR

    static final int EEF_DYNAMIC_MAPPING_FOR__ITERATOR

The feature id for the 'Iterator' attribute.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION

    static final int EEF_DYNAMIC_MAPPING_FOR__ITERABLE_EXPRESSION

The feature id for the 'Iterable Expression' attribute.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR__FORCE_REFRESH

    static final int EEF_DYNAMIC_MAPPING_FOR__FORCE_REFRESH

The feature id for the 'Force Refresh' attribute.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR__IFS

    static final int EEF_DYNAMIC_MAPPING_FOR__IFS

The feature id for the 'Ifs' containment reference list.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_FOR_FEATURE_COUNT

    static final int EEF_DYNAMIC_MAPPING_FOR_FEATURE_COUNT

The number of structural features of the 'EEF Dynamic Mapping For' class.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_IF

    static final int EEF_DYNAMIC_MAPPING_IF

The meta object id for the '`EEF Dynamic Mapping If`' class.

See Also:
  `EEFDynamicMappingIfImpl`, `EefPackageImpl.getEEFDynamicMappingIf()`, Constant Field Values

#### EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION

    static final int EEF_DYNAMIC_MAPPING_IF__PREDICATE_EXPRESSION

The feature id for the 'Predicate Expression' attribute.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_IF__WIDGET

    static final int EEF_DYNAMIC_MAPPING_IF__WIDGET

The feature id for the 'Widget' containment reference.

See Also:
  Constant Field Values

#### EEF_DYNAMIC_MAPPING_IF_FEATURE_COUNT

    static final int EEF_DYNAMIC_MAPPING_IF_FEATURE_COUNT

The number of structural features of the 'EEF Dynamic Mapping If' class.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION

The meta object id for the '`EEF Custom Widget Description`' class.

See Also:
  `EEFCustomWidgetDescriptionImpl`, `EefPackageImpl.getEEFCustomWidgetDescription()`, Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__IDENTIFIER

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__CUSTOM_EXPRESSIONS

The feature id for the 'Custom Expressions' containment reference list.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_DESCRIPTION_FEATURE_COUNT

    static final int EEF_CUSTOM_WIDGET_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF Custom Widget Description' class.

See Also:
  Constant Field Values

#### EEF_CUSTOM_EXPRESSION

    static final int EEF_CUSTOM_EXPRESSION

The meta object id for the '`EEF Custom Expression`' class.

See Also:
  `EEFCustomExpressionImpl`, `EefPackageImpl.getEEFCustomExpression()`, Constant Field Values

#### EEF_CUSTOM_EXPRESSION__IDENTIFIER

    static final int EEF_CUSTOM_EXPRESSION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION

    static final int EEF_CUSTOM_EXPRESSION__CUSTOM_EXPRESSION

The feature id for the 'Custom Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_EXPRESSION_FEATURE_COUNT

    static final int EEF_CUSTOM_EXPRESSION_FEATURE_COUNT

The number of structural features of the 'EEF Custom Expression' class.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION

    static final int EEF_LIST_DESCRIPTION

The meta object id for the '`EEF List Description`' class.

See Also:
  `EEFListDescriptionImpl`, `EefPackageImpl.getEEFListDescription()`, Constant Field Values

#### EEF_LIST_DESCRIPTION__IDENTIFIER

    static final int EEF_LIST_DESCRIPTION__IDENTIFIER

The feature id for the 'Identifier' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__LABEL_EXPRESSION

    static final int EEF_LIST_DESCRIPTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__HELP_EXPRESSION

    static final int EEF_LIST_DESCRIPTION__HELP_EXPRESSION

The feature id for the 'Help Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__IS_ENABLED_EXPRESSION

    static final int EEF_LIST_DESCRIPTION__IS_ENABLED_EXPRESSION

The feature id for the 'Is Enabled Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__PROPERTY_VALIDATION_RULES

    static final int EEF_LIST_DESCRIPTION__PROPERTY_VALIDATION_RULES

The feature id for the 'Property Validation Rules' reference list.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__VALUE_EXPRESSION

    static final int EEF_LIST_DESCRIPTION__VALUE_EXPRESSION

The feature id for the 'Value Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION

    static final int EEF_LIST_DESCRIPTION__DISPLAY_EXPRESSION

The feature id for the 'Display Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION

    static final int EEF_LIST_DESCRIPTION__ON_CLICK_EXPRESSION

The feature id for the 'On Click Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__ACTIONS

    static final int EEF_LIST_DESCRIPTION__ACTIONS

The feature id for the 'Actions' containment reference list.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__STYLE

    static final int EEF_LIST_DESCRIPTION__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES

    static final int EEF_LIST_DESCRIPTION__CONDITIONAL_STYLES

The feature id for the 'Conditional Styles' containment reference list.

See Also:
  Constant Field Values

#### EEF_LIST_DESCRIPTION_FEATURE_COUNT

    static final int EEF_LIST_DESCRIPTION_FEATURE_COUNT

The number of structural features of the 'EEF List Description' class.

See Also:
  Constant Field Values

#### EEF_WIDGET_STYLE

    static final int EEF_WIDGET_STYLE

The meta object id for the '`EEF Widget Style`' class.

See Also:
  `EEFWidgetStyleImpl`, `EefPackageImpl.getEEFWidgetStyle()`, Constant Field Values

#### EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_STYLE_FEATURE_COUNT

    static final int EEF_WIDGET_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Widget Style' class.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE

    static final int EEF_TEXT_STYLE

The meta object id for the '`EEF Text Style`' class.

See Also:
  `EEFTextStyleImpl`, `EefPackageImpl.getEEFTextStyle()`, Constant Field Values

#### EEF_TEXT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_TEXT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_TEXT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_TEXT_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_TEXT_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_TEXT_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final int EEF_TEXT_STYLE__BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION

    static final int EEF_TEXT_STYLE__FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__FONT_NAME_EXPRESSION

    static final int EEF_TEXT_STYLE__FONT_NAME_EXPRESSION

The feature id for the 'Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION

    static final int EEF_TEXT_STYLE__FONT_SIZE_EXPRESSION

The feature id for the 'Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION

    static final int EEF_TEXT_STYLE__FONT_STYLE_EXPRESSION

The feature id for the 'Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_STYLE_FEATURE_COUNT

    static final int EEF_TEXT_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Text Style' class.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE

    static final int EEF_LABEL_STYLE

The meta object id for the '`EEF Label Style`' class.

See Also:
  `EEFLabelStyleImpl`, `EefPackageImpl.getEEFLabelStyle()`, Constant Field Values

#### EEF_LABEL_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_LABEL_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_LABEL_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_LABEL_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_LABEL_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_LABEL_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final int EEF_LABEL_STYLE__BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION

    static final int EEF_LABEL_STYLE__FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__FONT_NAME_EXPRESSION

    static final int EEF_LABEL_STYLE__FONT_NAME_EXPRESSION

The feature id for the 'Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION

    static final int EEF_LABEL_STYLE__FONT_SIZE_EXPRESSION

The feature id for the 'Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION

    static final int EEF_LABEL_STYLE__FONT_STYLE_EXPRESSION

The feature id for the 'Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_STYLE_FEATURE_COUNT

    static final int EEF_LABEL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Label Style' class.

See Also:
  Constant Field Values

#### EEF_BUTTON_STYLE

    static final int EEF_BUTTON_STYLE

The meta object id for the '`EEF Button Style`' class.

See Also:
  `EEFButtonStyleImpl`, `EefPackageImpl.getEEFButtonStyle()`, Constant Field Values

#### EEF_BUTTON_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_BUTTON_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_BUTTON_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_BUTTON_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_BUTTON_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_BUTTON_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_STYLE_FEATURE_COUNT

    static final int EEF_BUTTON_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Button Style' class.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_STYLE

    static final int EEF_CHECKBOX_STYLE

The meta object id for the '`EEF Checkbox Style`' class.

See Also:
  `EEFCheckboxStyleImpl`, `EefPackageImpl.getEEFCheckboxStyle()`, Constant Field Values

#### EEF_CHECKBOX_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_CHECKBOX_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_CHECKBOX_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_CHECKBOX_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_CHECKBOX_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_CHECKBOX_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_STYLE_FEATURE_COUNT

    static final int EEF_CHECKBOX_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Checkbox Style' class.

See Also:
  Constant Field Values

#### EEF_SELECT_STYLE

    static final int EEF_SELECT_STYLE

The meta object id for the '`EEF Select Style`' class.

See Also:
  `EEFSelectStyleImpl`, `EefPackageImpl.getEEFSelectStyle()`, Constant Field Values

#### EEF_SELECT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_SELECT_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_SELECT_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_SELECT_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_SELECT_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_SELECT_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_STYLE_FEATURE_COUNT

    static final int EEF_SELECT_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Select Style' class.

See Also:
  Constant Field Values

#### EEF_RADIO_STYLE

    static final int EEF_RADIO_STYLE

The meta object id for the '`EEF Radio Style`' class.

See Also:
  `EEFRadioStyleImpl`, `EefPackageImpl.getEEFRadioStyle()`, Constant Field Values

#### EEF_RADIO_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_RADIO_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_RADIO_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_RADIO_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_RADIO_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_RADIO_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_STYLE_FEATURE_COUNT

    static final int EEF_RADIO_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Radio Style' class.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE

    static final int EEF_HYPERLINK_STYLE

The meta object id for the '`EEF Hyperlink Style`' class.

See Also:
  `EEFHyperlinkStyleImpl`, `EefPackageImpl.getEEFHyperlinkStyle()`, Constant Field Values

#### EEF_HYPERLINK_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__FONT_NAME_EXPRESSION

The feature id for the 'Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__FONT_SIZE_EXPRESSION

The feature id for the 'Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION

    static final int EEF_HYPERLINK_STYLE__FONT_STYLE_EXPRESSION

The feature id for the 'Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_STYLE_FEATURE_COUNT

    static final int EEF_HYPERLINK_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Hyperlink Style' class.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE

    static final int EEF_CUSTOM_WIDGET_STYLE

The meta object id for the '`EEF Custom Widget Style` ' class.

See Also:
  `EEFCustomWidgetStyleImpl`, `EefPackageImpl.getEEFCustomWidgetStyle()`, Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_STYLE_FEATURE_COUNT

    static final int EEF_CUSTOM_WIDGET_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Custom Widget Style' class.

See Also:
  Constant Field Values

#### EEF_LIST_STYLE

    static final int EEF_LIST_STYLE

The meta object id for the '`EEF List Style`' class.

See Also:
  `EEFListStyleImpl`, `EefPackageImpl.getEEFListStyle()`, Constant Field Values

#### EEF_LIST_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

    static final int EEF_LIST_STYLE__LABEL_BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Label Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

    static final int EEF_LIST_STYLE__LABEL_FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Label Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_STYLE__LABEL_FONT_NAME_EXPRESSION

    static final int EEF_LIST_STYLE__LABEL_FONT_NAME_EXPRESSION

The feature id for the 'Label Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_STYLE__LABEL_FONT_SIZE_EXPRESSION

    static final int EEF_LIST_STYLE__LABEL_FONT_SIZE_EXPRESSION

The feature id for the 'Label Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_STYLE__LABEL_FONT_STYLE_EXPRESSION

    static final int EEF_LIST_STYLE__LABEL_FONT_STYLE_EXPRESSION

The feature id for the 'Label Font Style Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_STYLE_FEATURE_COUNT

    static final int EEF_LIST_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF List Style' class.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE

    static final int EEF_GROUP_STYLE

The meta object id for the '`EEF Group Style`' class.

See Also:
  `EEFGroupStyleImpl`, `EefPackageImpl.getEEFGroupStyle()`, Constant Field Values

#### EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION

    static final int EEF_GROUP_STYLE__BACKGROUND_COLOR_EXPRESSION

The feature id for the 'Background Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION

    static final int EEF_GROUP_STYLE__FOREGROUND_COLOR_EXPRESSION

The feature id for the 'Foreground Color Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE__FONT_NAME_EXPRESSION

    static final int EEF_GROUP_STYLE__FONT_NAME_EXPRESSION

The feature id for the 'Font Name Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION

    static final int EEF_GROUP_STYLE__FONT_SIZE_EXPRESSION

The feature id for the 'Font Size Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE__BAR_STYLE

    static final int EEF_GROUP_STYLE__BAR_STYLE

The feature id for the 'Bar Style' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE__TOGGLE_STYLE

    static final int EEF_GROUP_STYLE__TOGGLE_STYLE

The feature id for the 'Toggle Style' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT

    static final int EEF_GROUP_STYLE__EXPANDED_BY_DEFAULT

The feature id for the 'Expanded By Default' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_STYLE_FEATURE_COUNT

    static final int EEF_GROUP_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Group Style' class.

See Also:
  Constant Field Values

#### EEF_CONDITIONAL_STYLE

    static final int EEF_CONDITIONAL_STYLE

The meta object id for the '`EEF Conditional Style`' class.

See Also:
  `EEFConditionalStyleImpl`, `EefPackageImpl.getEEFConditionalStyle()`, Constant Field Values

#### EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_TEXT_CONDITIONAL_STYLE

    static final int EEF_TEXT_CONDITIONAL_STYLE

The meta object id for the '`EEF Text Conditional Style`' class.

See Also:
  `EEFTextConditionalStyleImpl`, `EefPackageImpl.getEEFTextConditionalStyle()`, Constant Field Values

#### EEF_TEXT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_TEXT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_TEXT_CONDITIONAL_STYLE__STYLE

    static final int EEF_TEXT_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_TEXT_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_TEXT_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Text Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_BUTTON_CONDITIONAL_STYLE

    static final int EEF_BUTTON_CONDITIONAL_STYLE

The meta object id for the '`EEF Button Conditional Style`' class.

See Also:
  `EEFButtonConditionalStyleImpl`, `EefPackageImpl.getEEFButtonConditionalStyle()`, Constant Field Values

#### EEF_BUTTON_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_BUTTON_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_BUTTON_CONDITIONAL_STYLE__STYLE

    static final int EEF_BUTTON_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_BUTTON_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_BUTTON_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Button Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_LABEL_CONDITIONAL_STYLE

    static final int EEF_LABEL_CONDITIONAL_STYLE

The meta object id for the '`EEF Label Conditional Style`' class.

See Also:
  `EEFLabelConditionalStyleImpl`, `EefPackageImpl.getEEFLabelConditionalStyle()`, Constant Field Values

#### EEF_LABEL_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_LABEL_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LABEL_CONDITIONAL_STYLE__STYLE

    static final int EEF_LABEL_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_LABEL_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_LABEL_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Label Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_CONDITIONAL_STYLE

    static final int EEF_CHECKBOX_CONDITIONAL_STYLE

The meta object id for the '`EEF Checkbox Conditional Style`' class.

See Also:
  `EEFCheckboxConditionalStyleImpl`, `EefPackageImpl.getEEFCheckboxConditionalStyle()`, Constant Field Values

#### EEF_CHECKBOX_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_CHECKBOX_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE

    static final int EEF_CHECKBOX_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_CHECKBOX_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_CHECKBOX_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Checkbox Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_SELECT_CONDITIONAL_STYLE

    static final int EEF_SELECT_CONDITIONAL_STYLE

The meta object id for the '`EEF Select Conditional Style`' class.

See Also:
  `EEFSelectConditionalStyleImpl`, `EefPackageImpl.getEEFSelectConditionalStyle()`, Constant Field Values

#### EEF_SELECT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_SELECT_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_SELECT_CONDITIONAL_STYLE__STYLE

    static final int EEF_SELECT_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_SELECT_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_SELECT_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Select Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_RADIO_CONDITIONAL_STYLE

    static final int EEF_RADIO_CONDITIONAL_STYLE

The meta object id for the '`EEF Radio Conditional Style`' class.

See Also:
  `EEFRadioConditionalStyleImpl`, `EefPackageImpl.getEEFRadioConditionalStyle()`, Constant Field Values

#### EEF_RADIO_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_RADIO_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_RADIO_CONDITIONAL_STYLE__STYLE

    static final int EEF_RADIO_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_RADIO_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_RADIO_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Radio Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_CONDITIONAL_STYLE

    static final int EEF_HYPERLINK_CONDITIONAL_STYLE

The meta object id for the '`EEF Hyperlink Conditional Style`' class.

See Also:
  `EEFHyperlinkConditionalStyleImpl`, `EefPackageImpl.getEEFHyperlinkConditionalStyle()`, Constant Field Values

#### EEF_HYPERLINK_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_HYPERLINK_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE

    static final int EEF_HYPERLINK_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_HYPERLINK_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_HYPERLINK_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Hyperlink Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE

    static final int EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE

The meta object id for the '`EEF Custom Widget Conditional Style`' class.

See Also:
  `EEFCustomWidgetConditionalStyleImpl`, `EefPackageImpl.getEEFCustomWidgetConditionalStyle()`, Constant Field Values

#### EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE

    static final int EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_CUSTOM_WIDGET_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Custom Widget Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_WIDGET_ACTION

    static final int EEF_WIDGET_ACTION

The meta object id for the '`EEF Widget Action`' class.

See Also:
  `EEFWidgetActionImpl`, `EefPackageImpl.getEEFWidgetAction()`, Constant Field Values

#### EEF_WIDGET_ACTION__LABEL_EXPRESSION

    static final int EEF_WIDGET_ACTION__LABEL_EXPRESSION

The feature id for the 'Label Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_ACTION__IMAGE_EXPRESSION

    static final int EEF_WIDGET_ACTION__IMAGE_EXPRESSION

The feature id for the 'Image Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_ACTION__ACTION_EXPRESSION

    static final int EEF_WIDGET_ACTION__ACTION_EXPRESSION

The feature id for the 'Action Expression' attribute.

See Also:
  Constant Field Values

#### EEF_WIDGET_ACTION_FEATURE_COUNT

    static final int EEF_WIDGET_ACTION_FEATURE_COUNT

The number of structural features of the 'EEF Widget Action' class.

See Also:
  Constant Field Values

#### EEF_LIST_CONDITIONAL_STYLE

    static final int EEF_LIST_CONDITIONAL_STYLE

The meta object id for the '`EEF List Conditional Style`' class.

See Also:
  `EEFListConditionalStyleImpl`, `EefPackageImpl.getEEFListConditionalStyle()`, Constant Field Values

#### EEF_LIST_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_LIST_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_LIST_CONDITIONAL_STYLE__STYLE

    static final int EEF_LIST_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_LIST_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_LIST_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF List Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_GROUP_CONDITIONAL_STYLE

    static final int EEF_GROUP_CONDITIONAL_STYLE

The meta object id for the '`EEF Group Conditional Style`' class.

See Also:
  `EEFGroupConditionalStyleImpl`, `EefPackageImpl.getEEFGroupConditionalStyle()`, Constant Field Values

#### EEF_GROUP_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

    static final int EEF_GROUP_CONDITIONAL_STYLE__PRECONDITION_EXPRESSION

The feature id for the 'Precondition Expression' attribute.

See Also:
  Constant Field Values

#### EEF_GROUP_CONDITIONAL_STYLE__STYLE

    static final int EEF_GROUP_CONDITIONAL_STYLE__STYLE

The feature id for the 'Style' containment reference.

See Also:
  Constant Field Values

#### EEF_GROUP_CONDITIONAL_STYLE_FEATURE_COUNT

    static final int EEF_GROUP_CONDITIONAL_STYLE_FEATURE_COUNT

The number of structural features of the 'EEF Group Conditional Style' class.

See Also:
  Constant Field Values

#### EEF_VALIDATION_SEVERITY_DESCRIPTION

    static final int EEF_VALIDATION_SEVERITY_DESCRIPTION

The meta object id for the '`EEF VALIDATION SEVERITY DESCRIPTION`' enum.

See Also:
  `EEF_VALIDATION_SEVERITY_DESCRIPTION`, `EefPackageImpl.getEEF_VALIDATION_SEVERITY_DESCRIPTION()`, Constant Field Values

#### EEF_FILL_LAYOUT_ORIENTATION

    static final int EEF_FILL_LAYOUT_ORIENTATION

The meta object id for the '`EEF FILL LAYOUT ORIENTATION`' enum.

See Also:
  `EEF_FILL_LAYOUT_ORIENTATION`, `EefPackageImpl.getEEF_FILL_LAYOUT_ORIENTATION()`, Constant Field Values

#### EEF_TOGGLE_STYLE

    static final int EEF_TOGGLE_STYLE

The meta object id for the '`EEF TOGGLE STYLE`' enum.

See Also:
  `EEF_TOGGLE_STYLE`, `EefPackageImpl.getEEF_TOGGLE_STYLE()`, Constant Field Values

#### EEF_TITLE_BAR_STYLE

    static final int EEF_TITLE_BAR_STYLE

The meta object id for the '`EEF TITLE BAR STYLE`' enum.

See Also:
  `EEF_TITLE_BAR_STYLE`, `EefPackageImpl.getEEF_TITLE_BAR_STYLE()`, Constant Field Values

### Method Detail

#### getEEFViewDescription

    org.eclipse.emf.ecore.EClass getEEFViewDescription()

Returns the meta object for class '`EEF View Description`'.

Returns:
  the meta object for class 'EEF View Description'.
See Also:
  `EEFViewDescription`

#### getEEFViewDescription_Identifier

    org.eclipse.emf.ecore.EAttribute getEEFViewDescription_Identifier()

Returns the meta object for the attribute '`Identifier`'.

Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFViewDescription.getIdentifier()`, `getEEFViewDescription()`

#### getEEFViewDescription_LabelExpression

    org.eclipse.emf.ecore.EAttribute getEEFViewDescription_LabelExpression()

Returns the meta object for the attribute '`Label Expression`'.

Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFViewDescription.getLabelExpression()`, `getEEFViewDescription()`

#### getEEFViewDescription_ImageExpression

    org.eclipse.emf.ecore.EAttribute getEEFViewDescription_ImageExpression()

Returns the meta object for the attribute '`Image Expression`'.

Returns:
  the meta object for the attribute 'Image Expression'.
See Also:
  `EEFViewDescription.getImageExpression()`, `getEEFViewDescription()`

#### getEEFViewDescription_Groups

    org.eclipse.emf.ecore.EReference getEEFViewDescription_Groups()

Returns the meta object for the containment reference list '`Groups`'.

Returns:
  the meta object for the containment reference list 'Groups'.
See Also:
  `EEFViewDescription.getGroups()`, `getEEFViewDescription()`

#### getEEFViewDescription_Pages

    org.eclipse.emf.ecore.EReference getEEFViewDescription_Pages()

Returns the meta object for the containment reference list '`Pages`'.

Returns:
  the meta object for the containment reference list 'Pages'.
See Also:
  `EEFViewDescription.getPages()`, `getEEFViewDescription()`

#### getEEFViewDescription_EPackages

    org.eclipse.emf.ecore.EReference getEEFViewDescription_EPackages()

Returns the meta object for the reference list '`EPackages`'.

Returns:
  the meta object for the reference list 'EPackages'.
See Also:
  `EEFViewDescription.getEPackages()`, `getEEFViewDescription()`

#### getEEFPageDescription

    org.eclipse.emf.ecore.EClass getEEFPageDescription()

Returns the meta object for class '`EEF Page Description`'.

Returns:
  the meta object for class 'EEF Page Description'.
See Also:
  `EEFPageDescription`

#### getEEFPageDescription_Identifier

    org.eclipse.emf.ecore.EAttribute getEEFPageDescription_Identifier()

Returns the meta object for the attribute '`Identifier`'.

Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFPageDescription.getIdentifier()`, `getEEFPageDescription()`

#### getEEFPageDescription_LabelExpression

    org.eclipse.emf.ecore.EAttribute getEEFPageDescription_LabelExpression()

Returns the meta object for the attribute '`Label Expression`'.

Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFPageDescription.getLabelExpression()`, `getEEFPageDescription()`

#### getEEFPageDescription_DomainClass

    org.eclipse.emf.ecore.EAttribute getEEFPageDescription_DomainClass()

Returns the meta object for the attribute '`Domain Class`'.

Returns:
  the meta object for the attribute 'Domain Class'.
See Also:
  `EEFPageDescription.getDomainClass()`, `getEEFPageDescription()`

#### getEEFPageDescription_SemanticCandidateExpression

    org.eclipse.emf.ecore.EAttribute getEEFPageDescription_SemanticCandidateExpression()

Returns the meta object for the attribute ' `Semantic Candidate Expression` '.

Returns:
  the meta object for the attribute 'Semantic Candidate Expression'.
See Also:
  `EEFPageDescription.getSemanticCandidateExpression()`, `getEEFPageDescription()`

#### getEEFPageDescription_PreconditionExpression

    org.eclipse.emf.ecore.EAttribute getEEFPageDescription_PreconditionExpression()

Returns the meta object for the attribute '`Precondition Expression`'.

Returns:
  the meta object for the attribute 'Precondition Expression'.
See Also:
  `EEFPageDescription.getPreconditionExpression()`, `getEEFPageDescription()`

#### getEEFPageDescription_Groups

    org.eclipse.emf.ecore.EReference getEEFPageDescription_Groups()

Returns the meta object for the reference list '`Groups`'.

Returns:
  the meta object for the reference list 'Groups'.
See Also:
  `EEFPageDescription.getGroups()`, `getEEFPageDescription()`

#### getEEFPageDescription_SemanticValidationRules

    org.eclipse.emf.ecore.EReference getEEFPageDescription_SemanticValidationRules()

Returns the meta object for the containment reference list ' `Semantic Validation Rules`'.

Returns:
  the meta object for the containment reference list 'Semantic Validation Rules'.
See Also:
  `EEFPageDescription.getSemanticValidationRules()`, `getEEFPageDescription()`

#### getEEFPageDescription_Indented

    org.eclipse.emf.ecore.EAttribute getEEFPageDescription_Indented()

Returns the meta object for the attribute '`Indented` '.

Returns:
  the meta object for the attribute 'Indented'.
See Also:
  `EEFPageDescription.isIndented()`, `getEEFPageDescription()`

#### getEEFPageDescription_Actions

    org.eclipse.emf.ecore.EReference getEEFPageDescription_Actions()

Returns the meta object for the containment reference list '`Actions`'.

Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFPageDescription.getActions()`, `getEEFPageDescription()`

#### getEEFValidationRuleDescription

    org.eclipse.emf.ecore.EClass getEEFValidationRuleDescription()

Returns the meta object for class '`EEF Validation Rule Description`'.

Returns:
  the meta object for class 'EEF Validation Rule Description'.
See Also:
  `EEFValidationRuleDescription`

#### getEEFValidationRuleDescription_Severity

    org.eclipse.emf.ecore.EAttribute getEEFValidationRuleDescription_Severity()

Returns the meta object for the attribute '`Severity`'.

Returns:
  the meta object for the attribute 'Severity'.
See Also:
  `EEFValidationRuleDescription.getSeverity()`, `getEEFValidationRuleDescription()`

#### getEEFValidationRuleDescription_MessageExpression

    org.eclipse.emf.ecore.EAttribute getEEFValidationRuleDescription_MessageExpression()

Returns the meta object for the attribute ' `Message Expression`'.

Returns:
  the meta object for the attribute 'Message Expression'.
See Also:
  `EEFValidationRuleDescription.getMessageExpression()`, `getEEFValidationRuleDescription()`

#### getEEFValidationRuleDescription_Audits

    org.eclipse.emf.ecore.EReference getEEFValidationRuleDescription_Audits()

Returns the meta object for the containment reference list ' `Audits`'.

Returns:
  the meta object for the containment reference list 'Audits'.
See Also:
  `EEFValidationRuleDescription.getAudits()`, `getEEFValidationRuleDescription()`

#### getEEFValidationRuleDescription_Fixes

    org.eclipse.emf.ecore.EReference getEEFValidationRuleDescription_Fixes()

Returns the meta object for the containment reference list ' `Fixes`'.

Returns:
  the meta object for the containment reference list 'Fixes'.
See Also:
  `EEFValidationRuleDescription.getFixes()`, `getEEFValidationRuleDescription()`

#### getEEFRuleAuditDescription

    org.eclipse.emf.ecore.EClass getEEFRuleAuditDescription()

Returns the meta object for class '`EEF Rule Audit Description`'.

Returns:
  the meta object for class 'EEF Rule Audit Description'.
See Also:
  `EEFRuleAuditDescription`

#### getEEFRuleAuditDescription_AuditExpression

    org.eclipse.emf.ecore.EAttribute getEEFRuleAuditDescription_AuditExpression()

Returns the meta object for the attribute '`Audit Expression`'.

Returns:
  the meta object for the attribute 'Audit Expression'.
See Also:
  `EEFRuleAuditDescription.getAuditExpression()`, `getEEFRuleAuditDescription()`

#### getEEFValidationFixDescription

    org.eclipse.emf.ecore.EClass getEEFValidationFixDescription()

Returns the meta object for class '`EEF Validation Fix Description`'.

Returns:
  the meta object for class 'EEF Validation Fix Description'.
See Also:
  `EEFValidationFixDescription`

#### getEEFValidationFixDescription_Name

    org.eclipse.emf.ecore.EAttribute getEEFValidationFixDescription_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `EEFValidationFixDescription.getName()`, `getEEFValidationFixDescription()`

#### getEEFValidationFixDescription_FixExpression

    org.eclipse.emf.ecore.EAttribute getEEFValidationFixDescription_FixExpression()

Returns the meta object for the attribute '`Fix Expression`'.

Returns:
  the meta object for the attribute 'Fix Expression'.
See Also:
  `EEFValidationFixDescription.getFixExpression()`, `getEEFValidationFixDescription()`

#### getEEFPropertyValidationRuleDescription

    org.eclipse.emf.ecore.EClass getEEFPropertyValidationRuleDescription()

Returns the meta object for class '`EEF Property Validation Rule Description`'.

Returns:
  the meta object for class 'EEF Property Validation Rule Description'.
See Also:
  `EEFPropertyValidationRuleDescription`

#### getEEFPropertyValidationRuleDescription_Targets

    org.eclipse.emf.ecore.EReference getEEFPropertyValidationRuleDescription_Targets()

Returns the meta object for the reference list ' `Targets`'.

Returns:
  the meta object for the reference list 'Targets'.
See Also:
  `EEFPropertyValidationRuleDescription.getTargets()`, `getEEFPropertyValidationRuleDescription()`

#### getEEFSemanticValidationRuleDescription

    org.eclipse.emf.ecore.EClass getEEFSemanticValidationRuleDescription()

Returns the meta object for class '`EEF Semantic Validation Rule Description`'.

Returns:
  the meta object for class 'EEF Semantic Validation Rule Description'.
See Also:
  `EEFSemanticValidationRuleDescription`

#### getEEFSemanticValidationRuleDescription_TargetClass

    org.eclipse.emf.ecore.EAttribute getEEFSemanticValidationRuleDescription_TargetClass()

Returns the meta object for the attribute ' `Target Class`'.

Returns:
  the meta object for the attribute 'Target Class'.
See Also:
  `EEFSemanticValidationRuleDescription.getTargetClass()`, `getEEFSemanticValidationRuleDescription()`

#### getEEFGroupDescription

    org.eclipse.emf.ecore.EClass getEEFGroupDescription()

Returns the meta object for class '`EEF Group Description`'.

Returns:
  the meta object for class 'EEF Group Description'.
See Also:
  `EEFGroupDescription`

#### getEEFGroupDescription_Identifier

    org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_Identifier()

Returns the meta object for the attribute '`Identifier`'.

Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFGroupDescription.getIdentifier()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_LabelExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_LabelExpression()

Returns the meta object for the attribute '`Label Expression`'.

Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFGroupDescription.getLabelExpression()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_DomainClass

    org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_DomainClass()

Returns the meta object for the attribute '`Domain Class`'.

Returns:
  the meta object for the attribute 'Domain Class'.
See Also:
  `EEFGroupDescription.getDomainClass()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_SemanticCandidateExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_SemanticCandidateExpression()

Returns the meta object for the attribute ' `Semantic Candidate Expression` '.

Returns:
  the meta object for the attribute 'Semantic Candidate Expression'.
See Also:
  `EEFGroupDescription.getSemanticCandidateExpression()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_PreconditionExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupDescription_PreconditionExpression()

Returns the meta object for the attribute '`Precondition Expression`'.

Returns:
  the meta object for the attribute 'Precondition Expression'.
See Also:
  `EEFGroupDescription.getPreconditionExpression()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_Controls

    org.eclipse.emf.ecore.EReference getEEFGroupDescription_Controls()

Returns the meta object for the containment reference list ' `Controls`'.

Returns:
  the meta object for the containment reference list 'Controls'.
See Also:
  `EEFGroupDescription.getControls()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_SemanticValidationRules

    org.eclipse.emf.ecore.EReference getEEFGroupDescription_SemanticValidationRules()

Returns the meta object for the containment reference list ' `Semantic Validation Rules`'.

Returns:
  the meta object for the containment reference list 'Semantic Validation Rules'.
See Also:
  `EEFGroupDescription.getSemanticValidationRules()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_PropertyValidationRules

    org.eclipse.emf.ecore.EReference getEEFGroupDescription_PropertyValidationRules()

Returns the meta object for the containment reference list ' `Property Validation Rules`'.

Returns:
  the meta object for the containment reference list 'Property Validation Rules'.
See Also:
  `EEFGroupDescription.getPropertyValidationRules()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_Style

    org.eclipse.emf.ecore.EReference getEEFGroupDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFGroupDescription.getStyle()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFGroupDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFGroupDescription.getConditionalStyles()`, `getEEFGroupDescription()`

#### getEEFGroupDescription_Actions

    org.eclipse.emf.ecore.EReference getEEFGroupDescription_Actions()

Returns the meta object for the containment reference list '`Actions`'.

Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFGroupDescription.getActions()`, `getEEFGroupDescription()`

#### getEEFToolbarAction

    org.eclipse.emf.ecore.EClass getEEFToolbarAction()

Returns the meta object for class '`EEF Toolbar Action`'.

Returns:
  the meta object for class 'EEF Toolbar Action'.
See Also:
  `EEFToolbarAction`

#### getEEFToolbarAction_TooltipExpression

    org.eclipse.emf.ecore.EAttribute getEEFToolbarAction_TooltipExpression()

Returns the meta object for the attribute '`Tooltip Expression`'.

Returns:
  the meta object for the attribute 'Tooltip Expression'.
See Also:
  `EEFToolbarAction.getTooltipExpression()`, `getEEFToolbarAction()`

#### getEEFToolbarAction_ImageExpression

    org.eclipse.emf.ecore.EAttribute getEEFToolbarAction_ImageExpression()

Returns the meta object for the attribute '`Image Expression`'.

Returns:
  the meta object for the attribute 'Image Expression'.
See Also:
  `EEFToolbarAction.getImageExpression()`, `getEEFToolbarAction()`

#### getEEFToolbarAction_ActionExpression

    org.eclipse.emf.ecore.EAttribute getEEFToolbarAction_ActionExpression()

Returns the meta object for the attribute '`Action Expression`'.

Returns:
  the meta object for the attribute 'Action Expression'.
See Also:
  `EEFToolbarAction.getActionExpression()`, `getEEFToolbarAction()`

#### getEEFControlDescription

    org.eclipse.emf.ecore.EClass getEEFControlDescription()

Returns the meta object for class '`EEF Control Description` '.

Returns:
  the meta object for class 'EEF Control Description'.
See Also:
  `EEFControlDescription`

#### getEEFControlDescription_Identifier

    org.eclipse.emf.ecore.EAttribute getEEFControlDescription_Identifier()

Returns the meta object for the attribute '`Identifier`'.

Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFControlDescription.getIdentifier()`, `getEEFControlDescription()`

#### getEEFContainerDescription

    org.eclipse.emf.ecore.EClass getEEFContainerDescription()

Returns the meta object for class '`EEF Container Description`'.

Returns:
  the meta object for class 'EEF Container Description'.
See Also:
  `EEFContainerDescription`

#### getEEFContainerDescription_Controls

    org.eclipse.emf.ecore.EReference getEEFContainerDescription_Controls()

Returns the meta object for the containment reference list ' `Controls`'.

Returns:
  the meta object for the containment reference list 'Controls'.
See Also:
  `EEFContainerDescription.getControls()`, `getEEFContainerDescription()`

#### getEEFContainerDescription_Layout

    org.eclipse.emf.ecore.EReference getEEFContainerDescription_Layout()

Returns the meta object for the containment reference '`Layout`'.

Returns:
  the meta object for the containment reference 'Layout'.
See Also:
  `EEFContainerDescription.getLayout()`, `getEEFContainerDescription()`

#### getEEFLayoutDescription

    org.eclipse.emf.ecore.EClass getEEFLayoutDescription()

Returns the meta object for class '`EEF Layout Description`'.

Returns:
  the meta object for class 'EEF Layout Description'.
See Also:
  `EEFLayoutDescription`

#### getEEFFillLayoutDescription

    org.eclipse.emf.ecore.EClass getEEFFillLayoutDescription()

Returns the meta object for class '`EEF Fill Layout Description`'.

Returns:
  the meta object for class 'EEF Fill Layout Description'.
See Also:
  `EEFFillLayoutDescription`

#### getEEFFillLayoutDescription_Orientation

    org.eclipse.emf.ecore.EAttribute getEEFFillLayoutDescription_Orientation()

Returns the meta object for the attribute '`Orientation`'.

Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  `EEFFillLayoutDescription.getOrientation()`, `getEEFFillLayoutDescription()`

#### getEEFGridLayoutDescription

    org.eclipse.emf.ecore.EClass getEEFGridLayoutDescription()

Returns the meta object for class '`EEF Grid Layout Description`'.

Returns:
  the meta object for class 'EEF Grid Layout Description'.
See Also:
  `EEFGridLayoutDescription`

#### getEEFGridLayoutDescription_NumberOfColumns

    org.eclipse.emf.ecore.EAttribute getEEFGridLayoutDescription_NumberOfColumns()

Returns the meta object for the attribute '`Number Of Columns`'.

Returns:
  the meta object for the attribute 'Number Of Columns'.
See Also:
  `EEFGridLayoutDescription.getNumberOfColumns()`, `getEEFGridLayoutDescription()`

#### getEEFGridLayoutDescription_MakeColumnsWithEqualWidth

    org.eclipse.emf.ecore.EAttribute getEEFGridLayoutDescription_MakeColumnsWithEqualWidth()

Returns the meta object for the attribute ' `Make Columns With Equal Width`'.

Returns:
  the meta object for the attribute 'Make Columns With Equal Width'.
See Also:
  `EEFGridLayoutDescription.isMakeColumnsWithEqualWidth()`, `getEEFGridLayoutDescription()`

#### getEEFWidgetDescription

    org.eclipse.emf.ecore.EClass getEEFWidgetDescription()

Returns the meta object for class '`EEF Widget Description`'.

Returns:
  the meta object for class 'EEF Widget Description'.
See Also:
  `EEFWidgetDescription`

#### getEEFWidgetDescription_LabelExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetDescription_LabelExpression()

Returns the meta object for the attribute '`Label Expression`'.

Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFWidgetDescription.getLabelExpression()`, `getEEFWidgetDescription()`

#### getEEFWidgetDescription_HelpExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetDescription_HelpExpression()

Returns the meta object for the attribute '`Help Expression`'.

Returns:
  the meta object for the attribute 'Help Expression'.
See Also:
  `EEFWidgetDescription.getHelpExpression()`, `getEEFWidgetDescription()`

#### getEEFWidgetDescription_IsEnabledExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetDescription_IsEnabledExpression()

Returns the meta object for the attribute '`Is Enabled Expression`'.

Returns:
  the meta object for the attribute 'Is Enabled Expression'.
See Also:
  `EEFWidgetDescription.getIsEnabledExpression()`, `getEEFWidgetDescription()`

#### getEEFWidgetDescription_PropertyValidationRules

    org.eclipse.emf.ecore.EReference getEEFWidgetDescription_PropertyValidationRules()

Returns the meta object for the reference list ' `Property Validation Rules`'.

Returns:
  the meta object for the reference list 'Property Validation Rules'.
See Also:
  `EEFWidgetDescription.getPropertyValidationRules()`, `getEEFWidgetDescription()`

#### getEEFTextDescription

    org.eclipse.emf.ecore.EClass getEEFTextDescription()

Returns the meta object for class '`EEF Text Description`'.

Returns:
  the meta object for class 'EEF Text Description'.
See Also:
  `EEFTextDescription`

#### getEEFTextDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFTextDescription.getValueExpression()`, `getEEFTextDescription()`

#### getEEFTextDescription_EditExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextDescription_EditExpression()

Returns the meta object for the attribute '`Edit Expression`'.

Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFTextDescription.getEditExpression()`, `getEEFTextDescription()`

#### getEEFTextDescription_LineCount

    org.eclipse.emf.ecore.EAttribute getEEFTextDescription_LineCount()

Returns the meta object for the attribute '`Line Count`'.

Returns:
  the meta object for the attribute 'Line Count'.
See Also:
  `EEFTextDescription.getLineCount()`, `getEEFTextDescription()`

#### getEEFTextDescription_Style

    org.eclipse.emf.ecore.EReference getEEFTextDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFTextDescription.getStyle()`, `getEEFTextDescription()`

#### getEEFTextDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFTextDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFTextDescription.getConditionalStyles()`, `getEEFTextDescription()`

#### getEEFLabelDescription

    org.eclipse.emf.ecore.EClass getEEFLabelDescription()

Returns the meta object for class '`EEF Label Description`'.

Returns:
  the meta object for class 'EEF Label Description'.
See Also:
  `EEFLabelDescription`

#### getEEFLabelDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFLabelDescription.getValueExpression()`, `getEEFLabelDescription()`

#### getEEFLabelDescription_DisplayExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelDescription_DisplayExpression()

Returns the meta object for the attribute '`Display Expression`'.

Returns:
  the meta object for the attribute 'Display Expression'.
See Also:
  `EEFLabelDescription.getDisplayExpression()`, `getEEFLabelDescription()`

#### getEEFLabelDescription_Style

    org.eclipse.emf.ecore.EReference getEEFLabelDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFLabelDescription.getStyle()`, `getEEFLabelDescription()`

#### getEEFLabelDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFLabelDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFLabelDescription.getConditionalStyles()`, `getEEFLabelDescription()`

#### getEEFLabelDescription_Actions

    org.eclipse.emf.ecore.EReference getEEFLabelDescription_Actions()

Returns the meta object for the containment reference list '`Actions`'.

Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFLabelDescription.getActions()`, `getEEFLabelDescription()`

#### getEEFButtonDescription

    org.eclipse.emf.ecore.EClass getEEFButtonDescription()

Returns the meta object for class '`EEF Button Description`'.

Returns:
  the meta object for class 'EEF Button Description'.
See Also:
  `EEFButtonDescription`

#### getEEFButtonDescription_ButtonLabelExpression

    org.eclipse.emf.ecore.EAttribute getEEFButtonDescription_ButtonLabelExpression()

Returns the meta object for the attribute '`Button Label Expression`'.

Returns:
  the meta object for the attribute 'Button Label Expression'.
See Also:
  `EEFButtonDescription.getButtonLabelExpression()`, `getEEFButtonDescription()`

#### getEEFButtonDescription_ImageExpression

    org.eclipse.emf.ecore.EAttribute getEEFButtonDescription_ImageExpression()

Returns the meta object for the attribute '`Image Expression`'.

Returns:
  the meta object for the attribute 'Image Expression'.
See Also:
  `EEFButtonDescription.getImageExpression()`, `getEEFButtonDescription()`

#### getEEFButtonDescription_PushExpression

    org.eclipse.emf.ecore.EAttribute getEEFButtonDescription_PushExpression()

Returns the meta object for the attribute '`Push Expression`'.

Returns:
  the meta object for the attribute 'Push Expression'.
See Also:
  `EEFButtonDescription.getPushExpression()`, `getEEFButtonDescription()`

#### getEEFButtonDescription_Style

    org.eclipse.emf.ecore.EReference getEEFButtonDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFButtonDescription.getStyle()`, `getEEFButtonDescription()`

#### getEEFButtonDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFButtonDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFButtonDescription.getConditionalStyles()`, `getEEFButtonDescription()`

#### getEEFCheckboxDescription

    org.eclipse.emf.ecore.EClass getEEFCheckboxDescription()

Returns the meta object for class '`EEF Checkbox Description`'.

Returns:
  the meta object for class 'EEF Checkbox Description'.
See Also:
  `EEFCheckboxDescription`

#### getEEFCheckboxDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFCheckboxDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFCheckboxDescription.getValueExpression()`, `getEEFCheckboxDescription()`

#### getEEFCheckboxDescription_EditExpression

    org.eclipse.emf.ecore.EAttribute getEEFCheckboxDescription_EditExpression()

Returns the meta object for the attribute '`Edit Expression`'.

Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFCheckboxDescription.getEditExpression()`, `getEEFCheckboxDescription()`

#### getEEFCheckboxDescription_Style

    org.eclipse.emf.ecore.EReference getEEFCheckboxDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCheckboxDescription.getStyle()`, `getEEFCheckboxDescription()`

#### getEEFCheckboxDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFCheckboxDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFCheckboxDescription.getConditionalStyles()`, `getEEFCheckboxDescription()`

#### getEEFSelectDescription

    org.eclipse.emf.ecore.EClass getEEFSelectDescription()

Returns the meta object for class '`EEF Select Description`'.

Returns:
  the meta object for class 'EEF Select Description'.
See Also:
  `EEFSelectDescription`

#### getEEFSelectDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFSelectDescription.getValueExpression()`, `getEEFSelectDescription()`

#### getEEFSelectDescription_EditExpression

    org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_EditExpression()

Returns the meta object for the attribute '`Edit Expression`'.

Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFSelectDescription.getEditExpression()`, `getEEFSelectDescription()`

#### getEEFSelectDescription_CandidatesExpression

    org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_CandidatesExpression()

Returns the meta object for the attribute '`Candidates Expression`'.

Returns:
  the meta object for the attribute 'Candidates Expression'.
See Also:
  `EEFSelectDescription.getCandidatesExpression()`, `getEEFSelectDescription()`

#### getEEFSelectDescription_CandidateDisplayExpression

    org.eclipse.emf.ecore.EAttribute getEEFSelectDescription_CandidateDisplayExpression()

Returns the meta object for the attribute ' `Candidate Display Expression` '.

Returns:
  the meta object for the attribute 'Candidate Display Expression'.
See Also:
  `EEFSelectDescription.getCandidateDisplayExpression()`, `getEEFSelectDescription()`

#### getEEFSelectDescription_Style

    org.eclipse.emf.ecore.EReference getEEFSelectDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFSelectDescription.getStyle()`, `getEEFSelectDescription()`

#### getEEFSelectDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFSelectDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFSelectDescription.getConditionalStyles()`, `getEEFSelectDescription()`

#### getEEFRadioDescription

    org.eclipse.emf.ecore.EClass getEEFRadioDescription()

Returns the meta object for class '`EEF Radio Description`'.

Returns:
  the meta object for class 'EEF Radio Description'.
See Also:
  `EEFRadioDescription`

#### getEEFRadioDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFRadioDescription.getValueExpression()`, `getEEFRadioDescription()`

#### getEEFRadioDescription_EditExpression

    org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_EditExpression()

Returns the meta object for the attribute '`Edit Expression`'.

Returns:
  the meta object for the attribute 'Edit Expression'.
See Also:
  `EEFRadioDescription.getEditExpression()`, `getEEFRadioDescription()`

#### getEEFRadioDescription_CandidatesExpression

    org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_CandidatesExpression()

Returns the meta object for the attribute '`Candidates Expression`'.

Returns:
  the meta object for the attribute 'Candidates Expression'.
See Also:
  `EEFRadioDescription.getCandidatesExpression()`, `getEEFRadioDescription()`

#### getEEFRadioDescription_CandidateDisplayExpression

    org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_CandidateDisplayExpression()

Returns the meta object for the attribute ' `Candidate Display Expression`'.

Returns:
  the meta object for the attribute 'Candidate Display Expression'.
See Also:
  `EEFRadioDescription.getCandidateDisplayExpression()`, `getEEFRadioDescription()`

#### getEEFRadioDescription_Style

    org.eclipse.emf.ecore.EReference getEEFRadioDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFRadioDescription.getStyle()`, `getEEFRadioDescription()`

#### getEEFRadioDescription_NumberOfColumns

    org.eclipse.emf.ecore.EAttribute getEEFRadioDescription_NumberOfColumns()

Returns the meta object for the attribute '`Number Of Columns`'.

Returns:
  the meta object for the attribute 'Number Of Columns'.
See Also:
  `EEFRadioDescription.getNumberOfColumns()`, `getEEFRadioDescription()`

#### getEEFRadioDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFRadioDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFRadioDescription.getConditionalStyles()`, `getEEFRadioDescription()`

#### getEEFHyperlinkDescription

    org.eclipse.emf.ecore.EClass getEEFHyperlinkDescription()

Returns the meta object for class '`EEF Hyperlink Description`'.

Returns:
  the meta object for class 'EEF Hyperlink Description'.
See Also:
  `EEFHyperlinkDescription`

#### getEEFHyperlinkDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFHyperlinkDescription.getValueExpression()`, `getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_DisplayExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkDescription_DisplayExpression()

Returns the meta object for the attribute '`Display Expression`'.

Returns:
  the meta object for the attribute 'Display Expression'.
See Also:
  `EEFHyperlinkDescription.getDisplayExpression()`, `getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_OnClickExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkDescription_OnClickExpression()

Returns the meta object for the attribute '`On Click Expression`'.

Returns:
  the meta object for the attribute 'On Click Expression'.
See Also:
  `EEFHyperlinkDescription.getOnClickExpression()`, `getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_Style

    org.eclipse.emf.ecore.EReference getEEFHyperlinkDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFHyperlinkDescription.getStyle()`, `getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFHyperlinkDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFHyperlinkDescription.getConditionalStyles()`, `getEEFHyperlinkDescription()`

#### getEEFHyperlinkDescription_Actions

    org.eclipse.emf.ecore.EReference getEEFHyperlinkDescription_Actions()

Returns the meta object for the containment reference list ' `Actions`'.

Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFHyperlinkDescription.getActions()`, `getEEFHyperlinkDescription()`

#### getEEFDynamicMappingFor

    org.eclipse.emf.ecore.EClass getEEFDynamicMappingFor()

Returns the meta object for class '`EEF Dynamic Mapping For` '.

Returns:
  the meta object for class 'EEF Dynamic Mapping For'.
See Also:
  `EEFDynamicMappingFor`

#### getEEFDynamicMappingFor_Iterator

    org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingFor_Iterator()

Returns the meta object for the attribute '`Iterator`'.

Returns:
  the meta object for the attribute 'Iterator'.
See Also:
  `EEFDynamicMappingFor.getIterator()`, `getEEFDynamicMappingFor()`

#### getEEFDynamicMappingFor_IterableExpression

    org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingFor_IterableExpression()

Returns the meta object for the attribute '`Iterable Expression`'.

Returns:
  the meta object for the attribute 'Iterable Expression'.
See Also:
  `EEFDynamicMappingFor.getIterableExpression()`, `getEEFDynamicMappingFor()`

#### getEEFDynamicMappingFor_ForceRefresh

    org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingFor_ForceRefresh()

Returns the meta object for the attribute '`Force Refresh`'.

Returns:
  the meta object for the attribute 'Force Refresh'.
See Also:
  `EEFDynamicMappingFor.isForceRefresh()`, `getEEFDynamicMappingFor()`

#### getEEFDynamicMappingFor_Ifs

    org.eclipse.emf.ecore.EReference getEEFDynamicMappingFor_Ifs()

Returns the meta object for the containment reference list '`Ifs`'.

Returns:
  the meta object for the containment reference list 'Ifs'.
See Also:
  `EEFDynamicMappingFor.getIfs()`, `getEEFDynamicMappingFor()`

#### getEEFDynamicMappingIf

    org.eclipse.emf.ecore.EClass getEEFDynamicMappingIf()

Returns the meta object for class '`EEF Dynamic Mapping If`'.

Returns:
  the meta object for class 'EEF Dynamic Mapping If'.
See Also:
  `EEFDynamicMappingIf`

#### getEEFDynamicMappingIf_PredicateExpression

    org.eclipse.emf.ecore.EAttribute getEEFDynamicMappingIf_PredicateExpression()

Returns the meta object for the attribute '`Predicate Expression`'.

Returns:
  the meta object for the attribute 'Predicate Expression'.
See Also:
  `EEFDynamicMappingIf.getPredicateExpression()`, `getEEFDynamicMappingIf()`

#### getEEFDynamicMappingIf_Widget

    org.eclipse.emf.ecore.EReference getEEFDynamicMappingIf_Widget()

Returns the meta object for the containment reference '`Widget`'.

Returns:
  the meta object for the containment reference 'Widget'.
See Also:
  `EEFDynamicMappingIf.getWidget()`, `getEEFDynamicMappingIf()`

#### getEEFCustomWidgetDescription

    org.eclipse.emf.ecore.EClass getEEFCustomWidgetDescription()

Returns the meta object for class '`EEF Custom Widget Description`'.

Returns:
  the meta object for class 'EEF Custom Widget Description'.
See Also:
  `EEFCustomWidgetDescription`

#### getEEFCustomWidgetDescription_CustomExpressions

    org.eclipse.emf.ecore.EReference getEEFCustomWidgetDescription_CustomExpressions()

Returns the meta object for the containment reference list ' `Custom Expressions`'.

Returns:
  the meta object for the containment reference list 'Custom Expressions'.
See Also:
  `EEFCustomWidgetDescription.getCustomExpressions()`, `getEEFCustomWidgetDescription()`

#### getEEFCustomWidgetDescription_Style

    org.eclipse.emf.ecore.EReference getEEFCustomWidgetDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCustomWidgetDescription.getStyle()`, `getEEFCustomWidgetDescription()`

#### getEEFCustomWidgetDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFCustomWidgetDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFCustomWidgetDescription.getConditionalStyles()`, `getEEFCustomWidgetDescription()`

#### getEEFCustomExpression

    org.eclipse.emf.ecore.EClass getEEFCustomExpression()

Returns the meta object for class '`EEF Custom Expression`'.

Returns:
  the meta object for class 'EEF Custom Expression'.
See Also:
  `EEFCustomExpression`

#### getEEFCustomExpression_Identifier

    org.eclipse.emf.ecore.EAttribute getEEFCustomExpression_Identifier()

Returns the meta object for the attribute '`Identifier`'.

Returns:
  the meta object for the attribute 'Identifier'.
See Also:
  `EEFCustomExpression.getIdentifier()`, `getEEFCustomExpression()`

#### getEEFCustomExpression_CustomExpression

    org.eclipse.emf.ecore.EAttribute getEEFCustomExpression_CustomExpression()

Returns the meta object for the attribute '`Custom Expression`'.

Returns:
  the meta object for the attribute 'Custom Expression'.
See Also:
  `EEFCustomExpression.getCustomExpression()`, `getEEFCustomExpression()`

#### getEEFListDescription

    org.eclipse.emf.ecore.EClass getEEFListDescription()

Returns the meta object for class '`EEF List Description`'.

Returns:
  the meta object for class 'EEF List Description'.
See Also:
  `EEFListDescription`

#### getEEFListDescription_ValueExpression

    org.eclipse.emf.ecore.EAttribute getEEFListDescription_ValueExpression()

Returns the meta object for the attribute '`Value Expression`'.

Returns:
  the meta object for the attribute 'Value Expression'.
See Also:
  `EEFListDescription.getValueExpression()`, `getEEFListDescription()`

#### getEEFListDescription_DisplayExpression

    org.eclipse.emf.ecore.EAttribute getEEFListDescription_DisplayExpression()

Returns the meta object for the attribute '`Display Expression`'.

Returns:
  the meta object for the attribute 'Display Expression'.
See Also:
  `EEFListDescription.getDisplayExpression()`, `getEEFListDescription()`

#### getEEFListDescription_OnClickExpression

    org.eclipse.emf.ecore.EAttribute getEEFListDescription_OnClickExpression()

Returns the meta object for the attribute '`On Click Expression`'.

Returns:
  the meta object for the attribute 'On Click Expression'.
See Also:
  `EEFListDescription.getOnClickExpression()`, `getEEFListDescription()`

#### getEEFListDescription_Actions

    org.eclipse.emf.ecore.EReference getEEFListDescription_Actions()

Returns the meta object for the containment reference list '`Actions`'.

Returns:
  the meta object for the containment reference list 'Actions'.
See Also:
  `EEFListDescription.getActions()`, `getEEFListDescription()`

#### getEEFListDescription_Style

    org.eclipse.emf.ecore.EReference getEEFListDescription_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFListDescription.getStyle()`, `getEEFListDescription()`

#### getEEFListDescription_ConditionalStyles

    org.eclipse.emf.ecore.EReference getEEFListDescription_ConditionalStyles()

Returns the meta object for the containment reference list ' `Conditional Styles`'.

Returns:
  the meta object for the containment reference list 'Conditional Styles'.
See Also:
  `EEFListDescription.getConditionalStyles()`, `getEEFListDescription()`

#### getEEFWidgetStyle

    org.eclipse.emf.ecore.EClass getEEFWidgetStyle()

Returns the meta object for class '`EEF Widget Style`'.

Returns:
  the meta object for class 'EEF Widget Style'.
See Also:
  `EEFWidgetStyle`

#### getEEFWidgetStyle_LabelBackgroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelBackgroundColorExpression()

Returns the meta object for the attribute ' `Label Background Color Expression`'.

Returns:
  the meta object for the attribute 'Label Background Color Expression'.
See Also:
  `EEFWidgetStyle.getLabelBackgroundColorExpression()`, `getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelForegroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelForegroundColorExpression()

Returns the meta object for the attribute ' `Label Foreground Color Expression`'.

Returns:
  the meta object for the attribute 'Label Foreground Color Expression'.
See Also:
  `EEFWidgetStyle.getLabelForegroundColorExpression()`, `getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelFontNameExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelFontNameExpression()

Returns the meta object for the attribute '`Label Font Name Expression`'.

Returns:
  the meta object for the attribute 'Label Font Name Expression'.
See Also:
  `EEFWidgetStyle.getLabelFontNameExpression()`, `getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelFontSizeExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelFontSizeExpression()

Returns the meta object for the attribute '`Label Font Size Expression`'.

Returns:
  the meta object for the attribute 'Label Font Size Expression'.
See Also:
  `EEFWidgetStyle.getLabelFontSizeExpression()`, `getEEFWidgetStyle()`

#### getEEFWidgetStyle_LabelFontStyleExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetStyle_LabelFontStyleExpression()

Returns the meta object for the attribute '`Label Font Style Expression`'.

Returns:
  the meta object for the attribute 'Label Font Style Expression'.
See Also:
  `EEFWidgetStyle.getLabelFontStyleExpression()`, `getEEFWidgetStyle()`

#### getEEFTextStyle

    org.eclipse.emf.ecore.EClass getEEFTextStyle()

Returns the meta object for class '`EEF Text Style`'.

Returns:
  the meta object for class 'EEF Text Style'.
See Also:
  `EEFTextStyle`

#### getEEFTextStyle_BackgroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextStyle_BackgroundColorExpression()

Returns the meta object for the attribute '`Background Color Expression`'.

Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFTextStyle.getBackgroundColorExpression()`, `getEEFTextStyle()`

#### getEEFTextStyle_ForegroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextStyle_ForegroundColorExpression()

Returns the meta object for the attribute '`Foreground Color Expression`'.

Returns:
  the meta object for the attribute 'Foreground Color Expression'.
See Also:
  `EEFTextStyle.getForegroundColorExpression()`, `getEEFTextStyle()`

#### getEEFTextStyle_FontNameExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextStyle_FontNameExpression()

Returns the meta object for the attribute '`Font Name Expression`'.

Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFTextStyle.getFontNameExpression()`, `getEEFTextStyle()`

#### getEEFTextStyle_FontSizeExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextStyle_FontSizeExpression()

Returns the meta object for the attribute '`Font Size Expression`'.

Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFTextStyle.getFontSizeExpression()`, `getEEFTextStyle()`

#### getEEFTextStyle_FontStyleExpression

    org.eclipse.emf.ecore.EAttribute getEEFTextStyle_FontStyleExpression()

Returns the meta object for the attribute '`Font Style Expression`'.

Returns:
  the meta object for the attribute 'Font Style Expression'.
See Also:
  `EEFTextStyle.getFontStyleExpression()`, `getEEFTextStyle()`

#### getEEFLabelStyle

    org.eclipse.emf.ecore.EClass getEEFLabelStyle()

Returns the meta object for class '`EEF Label Style`'.

Returns:
  the meta object for class 'EEF Label Style'.
See Also:
  `EEFLabelStyle`

#### getEEFLabelStyle_BackgroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_BackgroundColorExpression()

Returns the meta object for the attribute '`Background Color Expression`'.

Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFLabelStyle.getBackgroundColorExpression()`, `getEEFLabelStyle()`

#### getEEFLabelStyle_ForegroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_ForegroundColorExpression()

Returns the meta object for the attribute '`Foreground Color Expression`'.

Returns:
  the meta object for the attribute 'Foreground Color Expression'.
See Also:
  `EEFLabelStyle.getForegroundColorExpression()`, `getEEFLabelStyle()`

#### getEEFLabelStyle_FontNameExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_FontNameExpression()

Returns the meta object for the attribute '`Font Name Expression`'.

Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFLabelStyle.getFontNameExpression()`, `getEEFLabelStyle()`

#### getEEFLabelStyle_FontSizeExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_FontSizeExpression()

Returns the meta object for the attribute '`Font Size Expression`'.

Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFLabelStyle.getFontSizeExpression()`, `getEEFLabelStyle()`

#### getEEFLabelStyle_FontStyleExpression

    org.eclipse.emf.ecore.EAttribute getEEFLabelStyle_FontStyleExpression()

Returns the meta object for the attribute '`Font Style Expression`'.

Returns:
  the meta object for the attribute 'Font Style Expression'.
See Also:
  `EEFLabelStyle.getFontStyleExpression()`, `getEEFLabelStyle()`

#### getEEFButtonStyle

    org.eclipse.emf.ecore.EClass getEEFButtonStyle()

Returns the meta object for class '`EEF Button Style`'.

Returns:
  the meta object for class 'EEF Button Style'.
See Also:
  `EEFButtonStyle`

#### getEEFCheckboxStyle

    org.eclipse.emf.ecore.EClass getEEFCheckboxStyle()

Returns the meta object for class '`EEF Checkbox Style`'.

Returns:
  the meta object for class 'EEF Checkbox Style'.
See Also:
  `EEFCheckboxStyle`

#### getEEFSelectStyle

    org.eclipse.emf.ecore.EClass getEEFSelectStyle()

Returns the meta object for class '`EEF Select Style`'.

Returns:
  the meta object for class 'EEF Select Style'.
See Also:
  `EEFSelectStyle`

#### getEEFRadioStyle

    org.eclipse.emf.ecore.EClass getEEFRadioStyle()

Returns the meta object for class '`EEF Radio Style`'.

Returns:
  the meta object for class 'EEF Radio Style'.
See Also:
  `EEFRadioStyle`

#### getEEFHyperlinkStyle

    org.eclipse.emf.ecore.EClass getEEFHyperlinkStyle()

Returns the meta object for class '`EEF Hyperlink Style`'.

Returns:
  the meta object for class 'EEF Hyperlink Style'.
See Also:
  `EEFHyperlinkStyle`

#### getEEFHyperlinkStyle_BackgroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_BackgroundColorExpression()

Returns the meta object for the attribute '`Background Color Expression`'.

Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFHyperlinkStyle.getBackgroundColorExpression()`, `getEEFHyperlinkStyle()`

#### getEEFHyperlinkStyle_FontNameExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_FontNameExpression()

Returns the meta object for the attribute '`Font Name Expression`'.

Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFHyperlinkStyle.getFontNameExpression()`, `getEEFHyperlinkStyle()`

#### getEEFHyperlinkStyle_FontSizeExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_FontSizeExpression()

Returns the meta object for the attribute '`Font Size Expression`'.

Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFHyperlinkStyle.getFontSizeExpression()`, `getEEFHyperlinkStyle()`

#### getEEFHyperlinkStyle_FontStyleExpression

    org.eclipse.emf.ecore.EAttribute getEEFHyperlinkStyle_FontStyleExpression()

Returns the meta object for the attribute '`Font Style Expression`'.

Returns:
  the meta object for the attribute 'Font Style Expression'.
See Also:
  `EEFHyperlinkStyle.getFontStyleExpression()`, `getEEFHyperlinkStyle()`

#### getEEFCustomWidgetStyle

    org.eclipse.emf.ecore.EClass getEEFCustomWidgetStyle()

Returns the meta object for class '`EEF Custom Widget Style` '.

Returns:
  the meta object for class 'EEF Custom Widget Style'.
See Also:
  `EEFCustomWidgetStyle`

#### getEEFListStyle

    org.eclipse.emf.ecore.EClass getEEFListStyle()

Returns the meta object for class '`EEF List Style`'.

Returns:
  the meta object for class 'EEF List Style'.
See Also:
  `EEFListStyle`

#### getEEFGroupStyle

    org.eclipse.emf.ecore.EClass getEEFGroupStyle()

Returns the meta object for class '`EEF Group Style`'.

Returns:
  the meta object for class 'EEF Group Style'.
See Also:
  `EEFGroupStyle`

#### getEEFGroupStyle_BackgroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_BackgroundColorExpression()

Returns the meta object for the attribute '`Background Color Expression`'.

Returns:
  the meta object for the attribute 'Background Color Expression'.
See Also:
  `EEFGroupStyle.getBackgroundColorExpression()`, `getEEFGroupStyle()`

#### getEEFGroupStyle_ForegroundColorExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_ForegroundColorExpression()

Returns the meta object for the attribute '`Foreground Color Expression`'.

Returns:
  the meta object for the attribute 'Foreground Color Expression'.
See Also:
  `EEFGroupStyle.getForegroundColorExpression()`, `getEEFGroupStyle()`

#### getEEFGroupStyle_FontNameExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_FontNameExpression()

Returns the meta object for the attribute '`Font Name Expression`'.

Returns:
  the meta object for the attribute 'Font Name Expression'.
See Also:
  `EEFGroupStyle.getFontNameExpression()`, `getEEFGroupStyle()`

#### getEEFGroupStyle_FontSizeExpression

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_FontSizeExpression()

Returns the meta object for the attribute '`Font Size Expression`'.

Returns:
  the meta object for the attribute 'Font Size Expression'.
See Also:
  `EEFGroupStyle.getFontSizeExpression()`, `getEEFGroupStyle()`

#### getEEFGroupStyle_BarStyle

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_BarStyle()

Returns the meta object for the attribute '`Bar Style`'.

Returns:
  the meta object for the attribute 'Bar Style'.
See Also:
  `EEFGroupStyle.getBarStyle()`, `getEEFGroupStyle()`

#### getEEFGroupStyle_ToggleStyle

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_ToggleStyle()

Returns the meta object for the attribute '`Toggle Style`'.

Returns:
  the meta object for the attribute 'Toggle Style'.
See Also:
  `EEFGroupStyle.getToggleStyle()`, `getEEFGroupStyle()`

#### getEEFGroupStyle_ExpandedByDefault

    org.eclipse.emf.ecore.EAttribute getEEFGroupStyle_ExpandedByDefault()

Returns the meta object for the attribute '`Expanded By Default`'.

Returns:
  the meta object for the attribute 'Expanded By Default'.
See Also:
  `EEFGroupStyle.isExpandedByDefault()`, `getEEFGroupStyle()`

#### getEEFConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFConditionalStyle()

Returns the meta object for class '`EEF Conditional Style`'.

Returns:
  the meta object for class 'EEF Conditional Style'.
See Also:
  `EEFConditionalStyle`

#### getEEFConditionalStyle_PreconditionExpression

    org.eclipse.emf.ecore.EAttribute getEEFConditionalStyle_PreconditionExpression()

Returns the meta object for the attribute '`Precondition Expression`'.

Returns:
  the meta object for the attribute 'Precondition Expression'.
See Also:
  `EEFConditionalStyle.getPreconditionExpression()`, `getEEFConditionalStyle()`

#### getEEFTextConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFTextConditionalStyle()

Returns the meta object for class '`EEF Text Conditional Style`'.

Returns:
  the meta object for class 'EEF Text Conditional Style'.
See Also:
  `EEFTextConditionalStyle`

#### getEEFTextConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFTextConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFTextConditionalStyle.getStyle()`, `getEEFTextConditionalStyle()`

#### getEEFButtonConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFButtonConditionalStyle()

Returns the meta object for class '`EEF Button Conditional Style`'.

Returns:
  the meta object for class 'EEF Button Conditional Style'.
See Also:
  `EEFButtonConditionalStyle`

#### getEEFButtonConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFButtonConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFButtonConditionalStyle.getStyle()`, `getEEFButtonConditionalStyle()`

#### getEEFLabelConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFLabelConditionalStyle()

Returns the meta object for class '`EEF Label Conditional Style`'.

Returns:
  the meta object for class 'EEF Label Conditional Style'.
See Also:
  `EEFLabelConditionalStyle`

#### getEEFLabelConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFLabelConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFLabelConditionalStyle.getStyle()`, `getEEFLabelConditionalStyle()`

#### getEEFCheckboxConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFCheckboxConditionalStyle()

Returns the meta object for class '`EEF Checkbox Conditional Style`'.

Returns:
  the meta object for class 'EEF Checkbox Conditional Style'.
See Also:
  `EEFCheckboxConditionalStyle`

#### getEEFCheckboxConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFCheckboxConditionalStyle_Style()

Returns the meta object for the containment reference ' `Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCheckboxConditionalStyle.getStyle()`, `getEEFCheckboxConditionalStyle()`

#### getEEFSelectConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFSelectConditionalStyle()

Returns the meta object for class '`EEF Select Conditional Style`'.

Returns:
  the meta object for class 'EEF Select Conditional Style'.
See Also:
  `EEFSelectConditionalStyle`

#### getEEFSelectConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFSelectConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFSelectConditionalStyle.getStyle()`, `getEEFSelectConditionalStyle()`

#### getEEFRadioConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFRadioConditionalStyle()

Returns the meta object for class '`EEF Radio Conditional Style`'.

Returns:
  the meta object for class 'EEF Radio Conditional Style'.
See Also:
  `EEFRadioConditionalStyle`

#### getEEFRadioConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFRadioConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFRadioConditionalStyle.getStyle()`, `getEEFRadioConditionalStyle()`

#### getEEFHyperlinkConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFHyperlinkConditionalStyle()

Returns the meta object for class '`EEF Hyperlink Conditional Style`'.

Returns:
  the meta object for class 'EEF Hyperlink Conditional Style'.
See Also:
  `EEFHyperlinkConditionalStyle`

#### getEEFHyperlinkConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFHyperlinkConditionalStyle_Style()

Returns the meta object for the containment reference ' `Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFHyperlinkConditionalStyle.getStyle()`, `getEEFHyperlinkConditionalStyle()`

#### getEEFCustomWidgetConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFCustomWidgetConditionalStyle()

Returns the meta object for class '`EEF Custom Widget Conditional Style`'.

Returns:
  the meta object for class 'EEF Custom Widget Conditional Style'.
See Also:
  `EEFCustomWidgetConditionalStyle`

#### getEEFCustomWidgetConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFCustomWidgetConditionalStyle_Style()

Returns the meta object for the containment reference ' `Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFCustomWidgetConditionalStyle.getStyle()`, `getEEFCustomWidgetConditionalStyle()`

#### getEEFWidgetAction

    org.eclipse.emf.ecore.EClass getEEFWidgetAction()

Returns the meta object for class '`EEF Widget Action`'.

Returns:
  the meta object for class 'EEF Widget Action'.
See Also:
  `EEFWidgetAction`

#### getEEFWidgetAction_LabelExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetAction_LabelExpression()

Returns the meta object for the attribute '`Label Expression`'.

Returns:
  the meta object for the attribute 'Label Expression'.
See Also:
  `EEFWidgetAction.getLabelExpression()`, `getEEFWidgetAction()`

#### getEEFWidgetAction_ImageExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetAction_ImageExpression()

Returns the meta object for the attribute '`Image Expression`'.

Returns:
  the meta object for the attribute 'Image Expression'.
See Also:
  `EEFWidgetAction.getImageExpression()`, `getEEFWidgetAction()`

#### getEEFWidgetAction_ActionExpression

    org.eclipse.emf.ecore.EAttribute getEEFWidgetAction_ActionExpression()

Returns the meta object for the attribute '`Action Expression`'.

Returns:
  the meta object for the attribute 'Action Expression'.
See Also:
  `EEFWidgetAction.getActionExpression()`, `getEEFWidgetAction()`

#### getEEFListConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFListConditionalStyle()

Returns the meta object for class '`EEF List Conditional Style`'.

Returns:
  the meta object for class 'EEF List Conditional Style'.
See Also:
  `EEFListConditionalStyle`

#### getEEFListConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFListConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFListConditionalStyle.getStyle()`, `getEEFListConditionalStyle()`

#### getEEFGroupConditionalStyle

    org.eclipse.emf.ecore.EClass getEEFGroupConditionalStyle()

Returns the meta object for class '`EEF Group Conditional Style`'.

Returns:
  the meta object for class 'EEF Group Conditional Style'.
See Also:
  `EEFGroupConditionalStyle`

#### getEEFGroupConditionalStyle_Style

    org.eclipse.emf.ecore.EReference getEEFGroupConditionalStyle_Style()

Returns the meta object for the containment reference '`Style`'.

Returns:
  the meta object for the containment reference 'Style'.
See Also:
  `EEFGroupConditionalStyle.getStyle()`, `getEEFGroupConditionalStyle()`

#### getEEF_VALIDATION_SEVERITY_DESCRIPTION

    org.eclipse.emf.ecore.EEnum getEEF_VALIDATION_SEVERITY_DESCRIPTION()

Returns the meta object for enum '`EEF VALIDATION SEVERITY DESCRIPTION`'.

Returns:
  the meta object for enum 'EEF VALIDATION SEVERITY DESCRIPTION'.
See Also:
  `EEF_VALIDATION_SEVERITY_DESCRIPTION`

#### getEEF_FILL_LAYOUT_ORIENTATION

    org.eclipse.emf.ecore.EEnum getEEF_FILL_LAYOUT_ORIENTATION()

Returns the meta object for enum '`EEF FILL LAYOUT ORIENTATION`'.

Returns:
  the meta object for enum 'EEF FILL LAYOUT ORIENTATION'.
See Also:
  `EEF_FILL_LAYOUT_ORIENTATION`

#### getEEF_TOGGLE_STYLE

    org.eclipse.emf.ecore.EEnum getEEF_TOGGLE_STYLE()

Returns the meta object for enum '`EEF TOGGLE STYLE`'.

Returns:
  the meta object for enum 'EEF TOGGLE STYLE'.
See Also:
  `EEF_TOGGLE_STYLE`

#### getEEF_TITLE_BAR_STYLE

    org.eclipse.emf.ecore.EEnum getEEF_TITLE_BAR_STYLE()

Returns the meta object for enum '`EEF TITLE BAR STYLE`'.

Returns:
  the meta object for enum 'EEF TITLE BAR STYLE'.
See Also:
  `EEF_TITLE_BAR_STYLE`

#### getEefFactory

    EefFactory getEefFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.